CREATE TABLE sscManufacturer (
  manufacturerID INT IDENTITY NOT NULL,
  code VARCHAR(100) NOT NULL DEFAULT '',
  name VARCHAR(255) DEFAULT NULL,
  websiteURL VARCHAR(255) DEFAULT NULL,
  description TEXT,
  isActive BIT NOT NULL DEFAULT '1',
  header TEXT,
  footer TEXT,
  smallImage VARCHAR(255) DEFAULT NULL,
  largeImage VARCHAR(255) DEFAULT NULL,
  extra1 VARCHAR(255) DEFAULT NULL,
  extra2 VARCHAR(255) DEFAULT NULL,
  extra3 VARCHAR(255) DEFAULT NULL,
  manufacturerOrder INT NOT NULL DEFAULT '0',
  class VARCHAR(255) DEFAULT 'com.softslate.commerce.businessobjects.product.ManufacturerBean',
  CONSTRAINT PK_manufacturerID PRIMARY KEY CLUSTERED 
  ( manufacturerID ) ON [PRIMARY],
  CONSTRAINT AK_manufacturerCode UNIQUE NONCLUSTERED 
  ( code ) ON [PRIMARY]
);

CREATE INDEX IDX_sscManufacturer_name ON sscManufacturer (name);
CREATE INDEX IDX_sscManufacturer_manufacturerOrder ON sscManufacturer (manufacturerOrder);

ALTER TABLE sscProduct ADD manufacturerID INT;
ALTER TABLE sscProduct ADD CONSTRAINT FK_product_manufacturer FOREIGN KEY (
	manufacturerID
  ) REFERENCES sscManufacturer (
	manufacturerID
  ) ON DELETE NO ACTION;
  
DROP INDEX sscOrderItemAttribute.IDX_sscOrderItemAttribute_value;
ALTER TABLE sscOrderItemAttribute DROP CONSTRAINT DF__sscOrderI__attri__19AACF41;
ALTER TABLE sscOrderItemAttribute ALTER COLUMN attributeValue TEXT;
