<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<c:set var="crumbNumber" value="1"/>
<c:set var="onePageCheckoutEnabled" scope="request" value="${true}"/>
<div id="onePageCheckoutMain">
	<div class="panel-group" id="onePageCheckout">
		
		<%-- Addresses --%>
		<div class="panel panel-default">
			<div class="panel-heading">
				<h4 class="panel-title">
					<a id="onePageCheckout-addresses-link" data-toggle="false" data-parent="#onePageCheckout" href="#onePageCheckout-addresses">
						<bean-el:message key="checkoutAddresses.breadcrumb${crumbNumber}" bundle="/order" />
					</a>
				</h4>
			</div>
			<div id="onePageCheckout-addresses" class="panel-collapse collapse in">
				<div class="panel-body">
					<div class="onePageCheckout-addresses-errors"></div>
					<div class="onePageCheckout-addresses-content">
						<ssc:insert page="/WEB-INF/layouts/default/order/checkoutAddressesLayout.jsp"/>
					</div>
					<div class="onePageCheckout-addresses-loading" style="clear: both"></div>
				</div>
			</div>
		</div>
			
		<%-- Shipping --%>
		<c:if test="${settings.map.shippingRequired eq '1' }">
			<c:set var="crumbNumber" value="${crumbNumber + 1}"/>
			<div class="shippingForm-wrapper">
				<div class="panel panel-default">
					<div class="panel-heading">
						<h4 class="panel-title">
							<a id="onePageCheckout-shipping-link" data-toggle="false" data-parent="#onePageCheckout" href="#onePageCheckout-shipping">
								<bean-el:message key="checkoutShipping.breadcrumb${crumbNumber}" bundle="/order" />
							</a>
						</h4>
					</div>
					<div id="onePageCheckout-shipping" class="panel-collapse collapse">
						<div class="panel-body">
							<p class="instructions"><bean:message key="checkoutShipping.instructions" bundle="/order" /></p>
							<form id="shippingForm" name="shippingForm" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/CheckoutShipping.do")%>" method="post">
								<input type="hidden" name="submittedForm" value="checkoutShipping" />
								<div class="onePageCheckout-shipping-errors"></div>
								<div class="onePageCheckout-shipping-content"></div>
								<div id="checkoutShippingButton" class="checkoutButtonContainer text-center">
									<c:choose>
										<c:when test="${settings.map.paymentRequired eq '1'}">
											<input type="submit" class="btn btn-primary" value="<bean:message key="checkoutShipping.button" bundle="/order"/>" />
										</c:when>
										<c:otherwise>
											<input type="submit" class="btn btn-primary" value="<bean:message key="paymentForms.button" bundle="/order"/>" />
										</c:otherwise>
									</c:choose>
								</div>
								<div class="onePageCheckout-shipping-loading"></div>
							</form>
						</div>
					</div>
				</div>
			</div>
		</c:if>
			
		<%-- Payment --%>
		<c:if test="${settings.map.paymentRequired eq '1'}">
			<c:set var="crumbNumber" value="${crumbNumber + 1}"/>
			<div class="paymentForm-wrapper">
				<div class="panel panel-default">
					<div class="panel-heading">
						<h4 class="panel-title">
							<a id="onePageCheckout-payment-link" data-toggle="false" data-parent="#onePageCheckout" href="#onePageCheckout-payment">
								<bean-el:message key="checkoutPayment.breadcrumb${crumbNumber}" bundle="/order" />
							</a>
						</h4>
					</div>
					<div id="onePageCheckout-payment" class="panel-collapse collapse">
						<div class="panel-body">
							<div class="onePageCheckout-payment-errors"></div>
							<div class="onePageCheckout-payment-content"></div>
							<div class="onePageCheckout-payment-loading"></div>
						</div>
					</div>
				</div>
			</div>
		</c:if>
			
		<%-- Confirmation --%>
		<c:if test="${settings.map.displayCheckoutConfirm eq '1'}">
			<c:set var="crumbNumber" value="${crumbNumber + 1}"/>
			<div class="confirmForm-wrapper">
				<div class="panel panel-default">
					<div class="panel-heading">
						<h4 class="panel-title">
							<a id="onePageCheckout-confirm-link" data-toggle="false" data-parent="#onePageCheckout" href="#onePageCheckout-confirm">
								<bean-el:message key="checkoutConfirm.breadcrumb${crumbNumber}" bundle="/order" />
							</a>
						</h4>
					</div>
					<div id="onePageCheckout-confirm" class="panel-collapse collapse">
						<div class="panel-body">
							<div class="onePageCheckout-confirm-errors"></div>
							<div class="onePageCheckout-confirm-content"></div>
						</div>
					</div>
				</div>
			</div>
		</c:if>
	</div>
</div>
<!-- End ${pageScope.sscCurrentPage} -->
