<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<%
	java.util.Properties appComponents = (java.util.Properties) application.getAttribute("appComponents");
	String activePaymentProcessors = appComponents.getProperty("activePaymentProcessors");
	request.setAttribute("useCRESecure", activePaymentProcessors.contains("CRESecureProcessor"));
%>
<c:if test="${requestScope.useCRESecure}">
	<script type="text/javascript">
		function completeCREPayment( param ) { 				
			var parsedResponse = "";
			var ccDisplay = "";
			var displayCheckoutConfirm = "${settings.map.displayCheckoutConfirm}";
			if (!$('#creLoadingBar').hasClass('loadingBar')) {
				$('#creLoadingBar').addClass('loadingBar');
			}
			$(".crePaymentErrors").html("");
			// Ajax call to complete order
			$.ajax({
				type: "POST",
				url: "${settings.map.customerSecureURL}/CRESecureComplete.do",
				data: param,
				dataType: "xml"
			}).done(function( jsonResponse ) {
				if (jsonResponse){
					var foundSuccess = false;
					var foundError = false;
					
					$(jsonResponse).find("message").each(function () {
						if ($(this).text() == "VALID"){
							foundSuccess = true;
						}
						if ($(this).text().trim().indexOf('X') == 0 && $(this).text().trim().length == 16){
							ccDisplay = $(this).text().trim();
						}
				    });
					
					if (foundSuccess){
						if (displayCheckoutConfirm && displayCheckoutConfirm == '1'){
							$('#crePaymentForm').find('input[name="creditCardNumberDisplay"]').val(ccDisplay);
							$('#crePaymentForm').submit();
						}else{
							window.location.href = "${settings.map.customerSecureURL}/CRESecureInvoice.do";
						}
					}
					
					$(jsonResponse).find("error").each(function () {
						foundError = true;
						creDisplayError($(this).text());
				    });
					
					if (!foundError && !foundSuccess){
						creDisplayError("<bean:message key="paymentForms.creCompleteAjaxCallError" bundle="/order"/>");
					}
				}
				$('#creLoadingBar').removeClass('loadingBar');
				
			}).fail(function(jqXHR, textStatus) {
				creDisplayError("<bean:message key="paymentForms.creCompleteAjaxCallError" bundle="/order"/>");
				$('#creLoadingBar').removeClass('loadingBar');
			});				
		} 
			
		function cancelCREPayment() { 
			$('#creLoadingBar').removeClass('loadingBar');
			window.location.href = "${settings.map.customerSecureURL}/Checkout.do"
		} 
		
		function whatCVV2() {
			 window.open('${customerURL}/images/creditCardCodeWhatsThis.gif','whatsthis','scrollbars=yes,width=400,height=200');
			 return(false);
		} 
		
		function creHandleDetailErrors( errorCode, gatewayCode, gatewayMessage ) { 
			$('#creLoadingBar').removeClass('loadingBar');
			// alert( 'Detailed Error Handler\nError Code: ' + errorCode + ', ' + gatewayCode + ', ' + gatewayMessage + '.' ); 
			var errorObj = new Object();
			errorObj['100'] = "<bean:message key="payment.errorCRESecureProcessorImpl100" bundle="/payment"/>";
			errorObj['110'] = "<bean:message key="payment.errorCRESecureProcessorImpl110" bundle="/payment"/>";
			errorObj['200'] = "<bean:message key="payment.errorCRESecureProcessorImpl200" bundle="/payment"/>";
			errorObj['500'] = "<bean:message key="payment.errorCRESecureProcessorImpl500" bundle="/payment"/>";
			errorObj['510'] = "<bean:message key="payment.errorCRESecureProcessorImpl510" bundle="/payment"/>";
			errorObj['520'] = "<bean:message key="payment.errorCRESecureProcessorImpl520" bundle="/payment"/>";
			errorObj['530'] = "<bean:message key="payment.errorCRESecureProcessorImpl530" bundle="/payment"/>";
			errorObj['531'] = "<bean:message key="payment.errorCRESecureProcessorImpl531" bundle="/payment"/>";
			errorObj['300'] = "<bean:message key="payment.errorCRESecureProcessorImpl300" bundle="/payment"/>";
			errorObj['310'] = "<bean:message key="payment.errorCRESecureProcessorImpl310" bundle="/payment"/>";
			errorObj['315'] = "<bean:message key="payment.errorCRESecureProcessorImpl315" bundle="/payment"/>";
			errorObj['320'] = "<bean:message key="payment.errorCRESecureProcessorImpl320" bundle="/payment"/>";
			errorObj['330'] = "<bean:message key="payment.errorCRESecureProcessorImpl330" bundle="/payment"/>";
			errorObj['340'] = "<bean:message key="payment.errorCRESecureProcessorImpl340" bundle="/payment"/>";
			errorObj['350'] = "<bean:message key="payment.errorCRESecureProcessorImpl350" bundle="/payment"/>";
			errorObj['355'] = "<bean:message key="payment.errorCRESecureProcessorImpl355" bundle="/payment"/>";
			errorObj['357'] = "<bean:message key="payment.errorCRESecureProcessorImpl357" bundle="/payment"/>";
			errorObj['360'] = "<bean:message key="payment.errorCRESecureProcessorImpl360" bundle="/payment"/>";
			errorObj['370'] = "<bean:message key="payment.errorCRESecureProcessorImpl370" bundle="/payment"/>";
			errorObj['400'] = "<bean:message key="payment.errorCRESecureProcessorImpl400" bundle="/payment"/>";
			errorObj['600'] = "<bean:message key="payment.errorCRESecureProcessorImpl600" bundle="/payment"/>";
			errorObj['610'] = "<bean:message key="payment.errorCRESecureProcessorImpl610" bundle="/payment"/>";
			errorObj['620'] = "<bean:message key="payment.errorCRESecureProcessorImpl620" bundle="/payment"/>";
			errorObj['640'] = "<bean:message key="payment.errorCRESecureProcessorImpl640" bundle="/payment"/>";
			errorObj['700'] = "<bean:message key="payment.errorCRESecureProcessorImpl700" bundle="/payment"/>";
			if (errorCode){
				var errorcodes = errorCode.split("|");
				if (errorcodes[0] !== undefined && errorcodes[0]){
					creDisplayError(errorObj[errorcodes[0]]);
				}else{
					creDisplayError("<bean:message key="paymentForms.creCallbackErrorPrefix" bundle="/order"/> [" + errorCode + "]");
				}
				
			}else{
				creDisplayError("<bean:message key="paymentForms.creCallbackErrorPrefix" bundle="/order"/>");
			}
		} 
			
		function creDisplayError( errorMessage) {
			$(".crePaymentErrors").html('<span class="ajaxError">' + errorMessage + '</span>');
		}
	</script>
</c:if>
<!-- End ${pageScope.sscCurrentPage} -->
