<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<div id="${cssIDName}" class="compact attribute<c:if test="${attribute.attributeIsRequired}"> required</c:if>">
	<%-- Display the attribute's name. --%>
	<label for="${parameterName}" class="name">
		<c:out value="${attribute.attributeName}" escapeXml="false" />:
	</label>
	<%-- Display the attribute's options in a drop-down menu. --%>
	<c:if test="${!empty attribute.attributeOptions and !attribute.attributeOptions['empty']}">
		<c:set var="selectedOptionID" value="${attribute.defaultOptionID}"/>
		<select id="${parameterName}" name="${parameterName}"
		<c:if test="${!empty forceCompact && forceCompact eq true}">class="forceCompact"</c:if>
		<c:if test="${attribute.attributeIsRequired}"> required="required"</c:if>>
		<logic:iterate name="attribute" property="attributeOptions" id="option">
			<c:if test="${option.optionIsActive}">
			<%-- Determine if this option's inventory is being tracked. --%>
			<c:if var="trackOption" scope="request" test="false"/>
			<c:if var="trackOptByAttr" scope="request" test="false"/>
			<c:if test="${trackInventory}">
				<c:set var="optSkuKey" value="${product.productID}|${attribute.attributeID}|${option.optionID}|" scope="request"/>
				<c:if var="trackOption" scope="request" test="${!empty product.skuMap[optSkuKey] and product.skuMap[optSkuKey].trackInventory}">
					<c:set var="optSku" scope="request" value="${product.skuMap[optSkuKey]}"/>
				</c:if>
				<c:if test="${!trackOption}">
					<c:set var="optSkuKey" value="${attribute.attributeID}|${option.optionID}|" scope="request"/>
					<c:if var="trackOptByAttr" scope="request" test="${!empty attributeSKUs[optSkuKey] and attributeSKUs[optSkuKey].trackInventory}">
						<c:set var="optSku" scope="request" value="${attributeSKUs[optSkuKey]}"/>
					</c:if>
				</c:if>
			</c:if>
			<c:if test="${option.optionCode eq parameterValue}">
				<c:set var="selectedOptionID" value="${option.optionID}"/>
			</c:if>
			<option id="${cssIDName}-${option.optionCode}" class="option" value="${option.optionCode}"
				<c:if test="${option.optionID eq selectedOptionID}"> selected="selected"</c:if>>
				<c:out value="${option.optionName}" escapeXml="false" />
				<c:if test="${!empty option.optionUnitPrice && option.optionUnitPrice != 0}">
					&nbsp;&nbsp;
					<c:choose>
						<c:when test="${product.unitPrice gt 0 && option.optionUnitPrice gt 0}">
							+<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${option.optionUnitPrice}"/>
						</c:when>
						<c:when test="${product.unitPrice gt 0 && option.optionUnitPrice lt 0}">
							-<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${-1 * option.optionUnitPrice}"/>
						</c:when>
						<c:when test="${product.unitPrice eq 0}">
							<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${option.optionUnitPrice}"/>
						</c:when>
					</c:choose>
				</c:if>
				<c:if test="${trackOption or trackOptByAttr}">
					&nbsp;&nbsp;
					${optSku.inventoryLevel}
					<bean:message key="product.inventoryLevelCompact" bundle="/product"/>
				</c:if>
			</option>
			</c:if>
		</logic:iterate>
		</select>
	</c:if>
</div>
<!-- End ${pageScope.sscCurrentPage} -->
