<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start cart.jsp -->
<h1><bean:message key="cart.headline" bundle="/order"/></h1>
<%--Cart is empty message--%>
<c:if var="cartEmpty" test="${empty user.order or empty user.order.quantity or user.order.quantity eq 0}">
	<p id="cartEmpty"><bean:message key="cart.empty" bundle="/order"/></p>
	<div id="cartButtons">
		<form id="continueShopping" action="<%=response.encodeURL(pageContext.getAttribute("customerURL") + "/Welcome.do")%>">
			<span id="continueShoppingButton" class="buttonWrap"><input type="submit" name="submit" class="button" value="<bean:message key="cart.continueShoppingButton" bundle="/order"/>"/></span>
		</form>
	</div>
</c:if>
<c:if test="${not cartEmpty}">
	<c:set var="order" value="${user.order}"/>
	<table id="cartTable" class="grid" summary="List of items in the cart.">
		<tr class="listHeading">
			<th>&nbsp;</th>
			<th><bean:message key="cart.quantityLabel" bundle="/order"/></th>
			<th>&nbsp;</th>
			<th><bean:message key="cart.codeLabel" bundle="/order"/></th>
			<th><bean:message key="cart.nameLabel" bundle="/order"/></th>
			<th class="total"><bean:message key="cart.totalLabel" bundle="/order"/></th>
		</tr>
		<%--Cart Items--%>
		<logic:iterate name="order" property="orderDeliveryCollection" id="orderDelivery" indexId="i">
			<logic:iterate name="orderDelivery" property="orderItemCollection" id="item" indexId="j">
				<c:if test="${!empty item.orderItemAttributes and !item.orderItemAttributes['empty']}">
					<bean:size id="numberOfAttributes" name="item" property="orderItemAttributes"/>
				</c:if>
				<c:if test="${empty item.orderItemAttributes or item.orderItemAttributes['empty']}">
					<c:set var="numberOfAttributes" value="0"/>
				</c:if>
				<c:set var="rowSpan" value="2"/>
				<c:if test="${numberOfAttributes gt 0}">
					<c:set var="rowSpan" value="${numberOfAttributes + 1}"/>
				</c:if>
				<c:choose>
					<c:when test="${thisClass eq altRowClass}"><c:set var="thisClass" value="${rowClass}"/></c:when>
					<c:otherwise><c:set var="thisClass" value="${altRowClass}"/></c:otherwise>
				</c:choose>
				<c:choose>
					<c:when test="${settings.map.useSEOCodeForProductURLs eq '1' and !empty item.seoCode}">
						<c:set var="productLinkCode" value="${item.seoCode}"/>
					</c:when>
					<c:otherwise>
						<c:set var="productLinkCode" value="${item.code}"/>
					</c:otherwise>
				</c:choose>
				<tr id="cartItem-<c:out value="${item.orderID}"/>" class="cartItem <c:out value="${thisClass}"/>">
					<%--Edit and delete cart item link.--%>
					<td rowspan="<c:out value="${rowSpan}"/>" class="edit <c:out value="${thisClass}"/>">
						<form class="cartItemEditForm" action="<%=response.encodeURL(pageContext.getAttribute("customerURL") + "/CartItemEditForm.do")%>" method="post">
							<input type="hidden" name="orderItemID" value="<c:out value="${item.orderItemID}"/>"/>
							<span class="editCartItemButton buttonWrap"><input type="submit" name="submit" class="button" value="<bean:message key="cart.editCartItem" bundle="/order"/>" /></span>
						</form>
						<form class="cartItemDeleteForm" action="<%=response.encodeURL(pageContext.getAttribute("customerURL") + "/CartItemEdit.do")%>" method="post">
							<input type="hidden" name="orderItemID" value="<c:out value="${item.orderItemID}"/>"/>
							<input type="hidden" name="orderProductCodes" value="<c:out value="${item.code}"/>"/>
							<input type="hidden" name="orderProductQuantities" value="0"/>
							<span class="removeCartItemButton buttonWrap"><input type="submit" name="submit" class="button" value="<bean:message key="cart.removeCartItem" bundle="/order"/>"/></span>
						</form>
					</td>
					<%--Quantity--%>
					<td rowspan="<c:out value="${rowSpan}"/>" class="quantity <c:out value="${thisClass}"/>">
						<c:out value="${item.quantity}"/>
					</td>
					<%--Image--%>
					<td rowspan="<c:out value="${rowSpan}"/>" class="image <c:out value="${thisClass}"/>">
						<c:if test="${!empty item.image}">
							<html:link href="${customerURL}/Product.do" paramId="code" paramName="productLinkCode">
								<img src="<c:out value="${item.image}"/>" title="<c:out value="${item.name}"/>"/>
							</html:link>
						</c:if>
					</td>
					<%--Code--%>
					<td class="code <c:out value="${thisClass}"/>">
						<c:out value="${item.code}"/>
					</td>
					<%--Name linked to product detail page--%>
					<td class="name <c:out value="${thisClass}"/>">
						<html:link href="${customerURL}/Product.do" paramId="code" paramName="productLinkCode">
							<c:out value="${item.name}" escapeXml="false"/>
						</html:link>
					</td>
					<%--Item total--%>
					<td rowspan="<c:out value="${rowSpan}"/>" class="total <c:out value="${thisClass}"/>">
						<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${item.total}"/>
					</td>
				</tr>
				<%--Item attributes and their values--%>
				<c:if test="${!empty item.orderItemAttributes and !item.orderItemAttributes['empty']}">
					<logic:iterate name="item" property="orderItemAttributes" id="attribute" indexId="k">
						<tr id="cartItemAttributes-<c:out value="${item.orderID}"/>" class="cartItemAttributes <c:out value="${thisClass}"/>">
							<td class="name <c:out value="${thisClass}"/>">
								<c:out value="${attribute.attributeName}"/>:
							</td>
							<td class="value <c:out value="${thisClass}"/>">
								<c:choose>
									<c:when test="${!empty attribute.optionName and attribute.optionCode eq attribute.attributeValue}">
										<c:out value="${attribute.optionName}" escapeXml="false"/>
									</c:when>
									<c:otherwise>
										<c:out value="${attribute.attributeValue}"/>
									</c:otherwise>
								</c:choose>
							</td>
						</tr>
					</logic:iterate>
				</c:if>
				<c:if test="${empty item.orderItemAttributes or item.orderItemAttributes['empty']}">
					<tr class="filler <c:out value="${thisClass}"/>">
						<td colspan="2" class="filler <c:out value="${thisClass}"/>">&nbsp;</td>
					</tr>
				</c:if>
			</logic:iterate>
		</logic:iterate>
		<%--Discounts--%>
		<c:if var="displayDiscounts" test="false"/>
		<c:if test="${!empty order.orderDiscounts and !order.orderDiscounts['empty']}">
			<logic:iterate name="order" property="orderDiscounts" id="orderDiscount" indexId="i">
				<c:if test="${!displayDiscounts and orderDiscount.itemsAppliesType ne '[giftCertificate]' and orderDiscount.itemsAppliesType ne '[shipping]'}">
					<c:if var="displayDiscounts" test="true"/>
				</c:if>
			</logic:iterate>
		</c:if>
		<c:if test="${displayDiscounts}">
			<logic:iterate name="order" property="orderDiscounts" id="orderDiscount" indexId="i">
				<c:if test="${orderDiscount.itemsAppliesType ne '[giftCertificate]' and orderDiscount.itemsAppliesType ne '[shipping]'}">
					<c:choose>
						<c:when test="${thisClass eq altRowClass}"><c:set var="thisClass" value="${rowClass}"/></c:when>
						<c:otherwise><c:set var="thisClass" value="${altRowClass}"/></c:otherwise>
					</c:choose>
					<tr id="orderDiscount-<c:out value="${orderDiscount.orderDiscountID}"/>" class="orderDiscount <c:out value="${thisClass}"/>">
						<%--Discount label--%>
						<td colspan="2" class="label <c:out value="${thisClass}"/>">
							&nbsp;<c:if test="${i eq 0}"><bean:message key="cart.discountsLabel" bundle="/order"/>:</c:if>
						</td>
						<%--Item code--%>
						<td class="code orderItemCode <c:out value="${thisClass}"/>">
							<c:if test="${!empty orderDiscount.orderItem}">
								<c:out value="${orderDiscount.orderItem.code}"/>
							</c:if>
						</td>
						<%--Discount code--%>
						<td class="code orderDiscountCode <c:out value="${thisClass}"/>">
							<c:if test="${empty orderDiscount.couponCode}">
								<c:out value="${orderDiscount.code}"/>
							</c:if>
							<c:if test="${!empty orderDiscount.couponCode}">
								<c:out value="${orderDiscount.couponCode}"/>
							</c:if>
						</td>
						<%--Discount name--%>
						<td class="name <c:out value="${thisClass}"/>">
							<c:out value="${orderDiscount.name}"/>
						</td>
						<%--Discount total--%>
						<td class="total <c:out value="${thisClass}"/>">
							(<fmt:formatNumber type="currency" currencyCode="${currencyCode}">
								<c:out value="${orderDiscount.total}"/>
							</fmt:formatNumber>)
						</td>
					</tr>
				</c:if>
			</logic:iterate>
		</c:if>
		<%--Cart subtotal--%>
		<c:choose>
			<c:when test="${thisClass eq altRowClass}"><c:set var="thisClass" value="${rowClass}"/></c:when>
			<c:otherwise><c:set var="thisClass" value="${altRowClass}"/></c:otherwise>
		</c:choose>
		<%--Display estimated shipping + subtotal, or just the subtotal--%>
		<c:choose>
			<c:when test="${settings.map.displayEstimatedShippingOnCartPage eq '1' and !empty order.estimatedShippingOptions}">
				<%--Find the cheapest option for estimated shipping.--%>
				<logic:iterate name="order" property="estimatedShippingOptions" id="option">
					<c:if test="${empty cheapestOption or option.priceDouble < cheapestOption.priceDouble}">
						<c:set var="cheapestOption" value="${option}"/>
					</c:if>
				</logic:iterate>
				<c:set var="estimatedSubtotal" value="${order.subtotal}"/>
				<tr class="listFooter <c:out value="${thisClass}"/>">
					<td colspan="5" class="label <c:out value="${thisClass}"/>"><bean:message key="cart.estimatedShippingLabel" bundle="/order"/> (<c:out value="${cheapestOption.name}" escapeXml="false"/>):</td>
					<td class="subtotal <c:out value="${thisClass}"/>">
						<c:set var="estimatedSubtotal" value="${estimatedSubtotal + cheapestOption.priceDouble}"/>
						<c:out value="${cheapestOption.price}"/>
					</td>
				</tr>
				<c:choose>
					<c:when test="${thisClass eq altRowClass}"><c:set var="thisClass" value="${rowClass}"/></c:when>
					<c:otherwise><c:set var="thisClass" value="${altRowClass}"/></c:otherwise>
				</c:choose>
				<tr class="listFooter <c:out value="${thisClass}"/>">
					<td colspan="5" class="label <c:out value="${thisClass}"/>"><bean:message key="cart.subtotalLabel" bundle="/order"/>:</td>
					<td class="subtotal <c:out value="${thisClass}"/>">
						<fmt:formatNumber type="currency" currencyCode="${currencyCode}">
							<bean:write name="estimatedSubtotal"/>
						</fmt:formatNumber>
					</td>
				</tr>
			</c:when>
			<c:otherwise>
				<tr class="listFooter <c:out value="${thisClass}"/>">
					<td colspan="5" class="label <c:out value="${thisClass}"/>"><bean:message key="cart.subtotalLabel" bundle="/order"/>:</td>
					<td class="subtotal <c:out value="${thisClass}"/>">
						<fmt:formatNumber type="currency" currencyCode="${currencyCode}">
							<c:out value="${order.subtotal}"/>
						</fmt:formatNumber>
					</td>
				</tr>
			</c:otherwise>
		</c:choose>
	</table>

	<div id="cartButtons">
		<%--Continue shopping button--%>
		<form id="continueShoppingForm" action="<%=response.encodeURL(pageContext.getAttribute("customerURL") + "/Welcome.do")%>">
			<span id="continueShoppingButton" class="buttonWrap"><input type="submit" name="submit" class="button" value="<bean:message key="cart.continueShoppingButton" bundle="/order"/>"/></span>
		</form>
		<%--Save this cart button--%>
		<c:if test="${applicationScope.settings.map.allowSavedCarts eq 1}">
			<form id="saveCartForm" action="<%=response.encodeURL(pageContext.getAttribute("customerURL") + "/SaveCart.do")%>">
				<span id="saveCartButton" class="buttonWrap"><input type="submit" name="submit" class="button" value="<bean:message key="cart.saveCartButton" bundle="/order"/>"/></span>
			</form>
		</c:if>
		<%--Clear this cart button--%>
        <form id="clearCartForm" action="<%=response.encodeURL(pageContext.getAttribute("customerURL") + "/CartClear.do")%>">
            <span id="clearCartButton" class="buttonWrap"><input type="submit" name="submit" class="button" value="<bean:message key="cart.clearCartButton" bundle="/order"/>"/></span>
        </form>
		<%--Checout button--%>
		<form id="checkoutForm" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/Checkout.do")%>">
			<span id="checkoutButton" class="buttonWrap"><input type="submit" name="submit" class="button" value="<bean:message key="cart.checkoutButton" bundle="/order"/>"/></span>
		</form>
		<%--Third party checkout buttons--%>
		<%
			java.util.Properties appComponents = (java.util.Properties) application.getAttribute("appComponents");
			String activePaymentFormTemplates = appComponents.getProperty("activePaymentFormTemplates");
			pageContext.setAttribute("activePaymentFormTemplates", activePaymentFormTemplates);
		%>
		<%--PayPal Express checkout button--%>
		<logic:match name="activePaymentFormTemplates" value="paypalExpressForm.jsp">
			<a id="paypalExpressLink" href="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/PayPalExpressSet.do")%>"><img src="https://www.paypal.com/en_US/i/btn/btn_xpressCheckoutsm.gif" alt="Checkout with PayPal" border="0" /></a>
		</logic:match>
		<%--Google Checkout button--%>
		<logic:match name="activePaymentFormTemplates" value="googleCheckoutForm.jsp">
			<c:set var="googleCheckoutMerchantId" value="${settings.map.googleCheckoutMerchantId}"/>
			<c:set var="googleCheckoutButtonSize" value="${settings.map.googleCheckoutButtonSize}"/>
			<c:set var="googleCheckoutButtonBackGround" value="${settings.map.googleCheckoutButtonBackGround}"/>
			<a id="googleCheckoutLink" href="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/GoogleCheckoutAction.do")%>">
				<img name="Google Checkout" alt="Fast checkout through Google"
		           src="https://checkout.google.com/buttons/checkout.gif?merchant_id=<c:out value="${googleCheckoutMerchantId}"/><c:choose><c:when test='${googleCheckoutButtonSize == "large"}'>&w=180&h=46</c:when><c:when test='${googleCheckoutButtonSize == "medium"}'>&w=168&h=44</c:when><c:when test='${googleCheckoutButtonSize == "small"}'>&w=160&h=43</c:when><c:otherwise>&w=180&h=46</c:otherwise></c:choose>&style=<c:out value="${googleCheckoutButtonBackGround}"/>&variant=text&loc=en_US" />
		    </a>
		</logic:match>
	</div>
</c:if>

<%--Estimated shipping form--%>
<c:if test="${not cartEmpty and settings.map.displayEstimatedShippingOnCartPage eq '1' and settings.map.estimatedShippingPromptOnCartPage eq '1' and !empty estimatedShippingForm}">
	<br/>
	<form id="estimatedShipping" method="post" action="<%=response.encodeURL(pageContext.getAttribute("customerURL") + "/EstimatedShipping.do")%>">
		<tiles:insert page="/WEB-INF/layouts/default/order/estimatedShippingFormGuts.jsp"/>
	</form>
</c:if>

<%--Coupon form--%>
<c:if test="${not cartEmpty && settings.map.applyDiscounts eq 1 && settings.map.showCouponFormOnCartScreen eq 1}">
	<br/>
	<form id="couponForm" action="<%=response.encodeURL(pageContext.getAttribute("customerURL") + "/CartCoupon.do")%>" method="post">
		<tiles:insert attribute="couponFormGuts"/>
	</form>
</c:if>

<%--Related products to those that were just added--%>
<c:if test="${settings.map.upsellRelatedProductsOnCartPage eq 1 and !empty requestScope.productsAdded}">
	<% java.util.ArrayList relatedProducts = new java.util.ArrayList(); %>
	<logic:iterate id="productAdded" name="productsAdded">
		<logic:iterate id="related" name="productAdded" property="relatedProducts">
			<c:set var="relatedProduct" value="${related.product}"/>
			<c:if test="${relatedProduct.isActive}">
				<c:if var="alreadyInCart" test="${false}"/>
				<logic:iterate name="order" property="orderDeliveryCollection" id="orderDelivery" indexId="i">
					<logic:iterate name="orderDelivery" property="orderItemCollection" id="item" indexId="j">
						<c:if test="${relatedProduct.code eq item.code}">
							<c:if var="alreadyInCart" test="${true}"/>
						</c:if>
					</logic:iterate>
				</logic:iterate>
				<c:if test="${!alreadyInCart}">
					<% 
						if (!relatedProducts.contains(pageContext.getAttribute("relatedProduct"))) {
							relatedProducts.add(pageContext.getAttribute("relatedProduct"));
						}
					%>
				</c:if>
			</c:if>
		</logic:iterate>
	</logic:iterate>
	<% pageContext.setAttribute("relatedProducts", relatedProducts); %>
	<c:if test="${!empty relatedProducts}">
		<c:set var="productListCollection" value="${relatedProducts}" scope="request"/>
		<br/>
		<h3><bean:message key="cart.relatedProducts" bundle="/order"/>:</h3>
		<c:choose>
			<c:when test="${settings.map.productListDisplayFormat eq 'rows'}">
				<tiles:insert attribute="relatedProductListRows"/>
			</c:when>
			<c:otherwise>
				<tiles:insert attribute="relatedProductList"/>
			</c:otherwise>
		</c:choose>
	</c:if>
</c:if>
<!-- End cart.jsp -->
