<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start cartItemEdit.jsp -->
<tiles:insert attribute="inventoryDiscountSettings"/>
<form id="cartItemEditForm" action="<%=response.encodeURL(pageContext.getAttribute("customerURL") + "/CartItemEdit.do")%>" method="post">
	<%-- Page title --%>
	<h1 class="pageTitle"><bean:message key="cartItemEdit.headline" bundle="/order"/></h1>
	<%-- Product name --%>
	<h2 class="name"><c:out value="${item.name}" escapeXml="false"/></h2>
	<%-- Product image --%>
	<c:if test="${!empty item.image}">
		<div class="floater image">
			<img src="<c:out value="${item.image}"/>"<c:if test="${!empty item.name}"> title="<c:out value="${item.name}"/>" alt="<c:out value="${item.name}"/>"</c:if>/>
		</div>
	</c:if>
	<%-- Product details --%>
	<div id="cartItemDetails">
		<%-- Product code --%>
		<div class="code">
			<span class="label"><bean:message key="product.code" bundle="/product"/>:</span> <c:out value="${item.code}"/>
		</div>
		<%-- Product price --%>
		<c:if test="${!empty item.unitPrice and item.unitPrice gt 0}">
			<div class="price">
				<span class="label"><bean:message key="product.unitPrice" bundle="/product"/>:</span> 
				<c:choose>
					<c:when test="${displayProductDiscount and settings.map.strikeThruPrices eq 1}">
						<strike>
							<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${product.unitPrice}"/>
						</strike>
						&nbsp;
						<span class="productSalePrice">
							<c:choose>
								<c:when test="${!empty productDiscountNumberFree and productDiscountNumberFree > 0}">
									<fmt:formatNumber type="number" minFractionDigits="0" maxFractionDigits="0" value="${productDiscountNumberFree}"/>
									<bean:message key="product.discountItemsForFree" bundle="/product"/>
								</c:when>
								<c:otherwise>
									<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${product.unitPrice - productDiscountAmount}"/>
								</c:otherwise>
							</c:choose>
						</span>
					</c:when>
					<c:otherwise>
						<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${product.unitPrice}"/>
					</c:otherwise>
				</c:choose>
			</div>
		</c:if>
		<%-- Product alt price --%>
		<c:if test="${!empty item.altPrice and item.altPrice gt 0}">
			<div class="altPrice">
				<span class="label"><bean:message key="product.altPrice" bundle="/product"/>:</span>
				<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${item.altPrice}"/>
			</div>
		</c:if>
		<%-- Product discount --%>
		<c:if test="${displayProductDiscount}">
			<div class="discount">
				<span class="label"><bean:message key="product.discount" bundle="/product"/>:</span>
				<c:choose>
					<c:when test="${!empty productDiscountNumberFree and productDiscountNumberFree > 0}">
						<fmt:formatNumber type="number" minFractionDigits="0" maxFractionDigits="0" value="${productDiscountNumberFree}"/>
						<bean:message key="product.discountItemsForFree" bundle="/product"/>
					</c:when>
					<c:otherwise>
						<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${productDiscountAmount}"/>
						<bean:message key="product.discountAmountOff" bundle="/product"/>
					</c:otherwise>
				</c:choose>
			</div>
		</c:if>
		<%-- Product inventory --%>
		<c:if test="${trackProduct}">
			<div class="inventory">
				<span class="label"><bean:message key="product.inventoryLevel" bundle="/product"/>:</span>
				<c:out value="${product.skuMap[prodSkuKey].inventoryLevel}"/>
			</div>
			<c:if test="${!empty product.skuMap[prodSkuKey].skuMessage}">
				<div class="inventoryMessage">
					<c:out value="${product.skuMap[prodSkuKey].skuMessage}"/>
				</div>
			</c:if>
		</c:if>
	</div>
	<br />
	
	<%-- Product Discount chart --%>
	<c:if test="${displaySkuDiscounts}">
		<div id="discountChart">
			<span class="label"><bean:message key="product.discounts" bundle="/product"/></span>
			<br/>
			<tiles:insert attribute="discounts"/>
		</div>
		<br/>
	</c:if>
	<%-- Product Inventory chart --%>
	<c:if test="${trackOtherSKUs}">
		<div id="inventoryChart">
			<span class="label"><bean:message key="product.inventory" bundle="/product"/></span>
			<br/>
			<tiles:insert attribute="inventory"/>
		</div>
		<br/>
	</c:if>
	
	<%-- Attributes and options --%>
	<tiles:insert attribute="attributesAndOptions">
		<tiles:put name="attributesAndOptions" beanName="product" beanProperty="attributesAndOptions"/>
		<tiles:put name="productCode" beanName="product" beanProperty="code"/>
	</tiles:insert>
	<br />
	
	<%-- Quantity --%>
	<div class="quantity">
		<span class="label"><bean:message key="cartItemEdit.quantityLabel" bundle="/order"/>:</span>
		<input type="hidden" name="orderProductCodes" value="<c:out value="${item.code}"/>"/>
		<input type="text" name="orderProductQuantities" value="<c:out value="${item.quantity}"/>" size="2"/>
	</div>
	<br />
	
	<%-- Item total --%>
	<c:if test="${!empty item.formattedTotal}">
		<div class="total">
			<span class="label"><bean:message key="cartItemEdit.totalLabel" bundle="/order"/>:</span>
			<c:out value="${item.formattedTotal}"/>
		</div>
		<br />
	</c:if>
	
	<%-- Edit item button --%>
	<div id="editCartItemButton">
		<input type="hidden" name="orderItemID" value="<c:out value="${item.orderItemID}"/>"/>
		<span id="editCartItemButton" class="buttonWrap"><input type="submit" name="submit" class="button" value="<bean:message key="cartItemEdit.editItemButton" bundle="/order"/>"/></span>
	</div>
</form>

<%-- Delete item button --%>
<div id="cartItemDelete">
	<form id="cartItemDeleteForm" action="<%=response.encodeURL(pageContext.getAttribute("customerURL") + "/CartItemEdit.do")%>" method="post">
		<input type="hidden" name="orderItemID" value="<c:out value="${item.orderItemID}"/>"/>
		<input type="hidden" name="orderProductCodes" value="<c:out value="${item.code}"/>"/>
		<input type="hidden" name="orderProductQuantities" value="0"/>
		<span id="removeCartItemButton" class="buttonWrap"><input type="submit" name="submit" class="button" value="<bean:message key="cartItemEdit.deleteItemButton" bundle="/order"/>"/></span>
	</form>
</div>
<br />
<!-- End cartItemEdit.jsp -->
