<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<%@ page import="net.authorize.sim.*" %>
<%@ page import="com.softslate.commerce.businessobjects.core.Settings" %>
<%@ page import="com.softslate.commerce.customer.core.ActionUtils" %>
<%@ page import="com.softslate.commerce.customer.core.BaseForm" %>
<%@ page import="java.text.DecimalFormat" %>

<!-- Start authorizeDPMPaymentForm.jsp -->
<meta http-equiv="refresh" content="1260;url=${settings.map.customerSecureURL}/Checkout.do">
<c:if test="${empty order}">
	<c:set var="order" value="${user.order}"/>
</c:if>
<c:set var="settings" value="${settings}"/>
<c:set var="total" value="${order.total}"/>
<c:set var="orderID" value="${order.orderID}"/>
<%
	java.util.Calendar now = java.util.Calendar.getInstance();
	BaseForm baseForm = new BaseForm();
	baseForm.initializeProperties(null,request);
    ActionUtils actionUtils = (ActionUtils) baseForm.getBusinessObjectFactory()
					.createUtilsObject("actionUtilsImplementer");
    String description = actionUtils.parseGenericTemplate(baseForm,
					(String) baseForm.getSettings().getValue("authorizeNetDPMDescription"));
    String customerID = actionUtils.parseGenericTemplate(baseForm,
					(String) baseForm.getSettings().getValue("authorizeNetDPMCustomerID"));
    String poNumber = actionUtils.parseGenericTemplate(baseForm,
					(String) baseForm.getSettings().getValue("authorizeNetDPMPONumber"));
    String invoiceNumber = actionUtils.parseGenericTemplate(baseForm,
					(String) baseForm.getSettings().getValue("authorizeNetDPMInvoiceNum"));
    Integer orderID = (Integer) pageContext.getAttribute("orderID");
    Settings settings = (Settings) pageContext.getAttribute("settings");
    String apiLoginId = (String) settings.getValue("authorizeNetDPMLoginID");
    String transactionKey = (String) settings.getValue("authorizeNetDPMTxKey");
    DecimalFormat df = new DecimalFormat("0.00");
    String amount = (String) df.format(pageContext.getAttribute("total"));
    Fingerprint fingerprint = Fingerprint.createFingerprint(apiLoginId, transactionKey, orderID, amount);
    long x_fp_sequence = fingerprint.getSequence();
    long x_fp_timestamp = fingerprint.getTimeStamp();
    String x_fp_hash = fingerprint.getFingerprintHash();
%>
<script language="JavaScript" type="text/javascript">
	<!--
		function expDate(form) {
			var expText = document.createElement("input");
			expText.type = "hidden";
			expText.name = "x_exp_date";
			form.appendChild(expText);
			var month = document.getElementById('creditCardExpirationMonthDPM');
			var monthValue = month.options[month.selectedIndex].value;
			var year = document.getElementById('creditCardExpirationYearDPM');
			var yearValue = year.options[year.selectedIndex].value;
			var expDate = monthValue + yearValue.slice(2);
			expText.value = expDate;
		}
	//-->
</script>

<%--Billing Information--%>
<input type="hidden" name="x_first_name" value="<c:out value="${order.firstName}"/>" />
<input type="hidden" name="x_last_name" value="<c:out value="${order.lastName}"/>" />
<input type="hidden" name="x_company" value="<c:out value="${order.organization}"/>" />
<input type="hidden" name="x_address" value="<c:out value="${order.address1}"/> <c:out value="${order.address2}"/>"/>
<input type="hidden" name="x_city" value="<c:out value="${order.city}"/>" />
<input type="hidden" name="x_state" value="<c:out value="${order.state}"/>" />
<input type="hidden" name="x_country" value="<c:out value="${order.country}"/>" />
<input type="hidden" name="x_zip" value="<c:out value="${order.postalCode}"/>" />
<input type="hidden" name="x_phone" value="<c:out value="${order.phone1}"/>" />
<input type="hidden" name="x_email" value="<c:out value="${order.email1}"/>" />

<%-- Transaction information --%>
<input type="hidden" name="x_amount" value="<%=amount%>" />
<input type="hidden" name="x_invoice_num" value="<%=invoiceNumber%>"/>
<input type="hidden" name="x_description" value="<%=description%>"/>
<input type="hidden" name="x_cust_id" value="<%=customerID%>"/>
<input type="hidden" name="x_po_num" value="<%=poNumber%>"/>
<c:choose>
	<c:when test="${settings.map.authorizeNetDPMEmailCustomer eq '1'}">
		<input type="hidden" name="x_email_customer" value="TRUE"/>
	</c:when>
	<c:otherwise>
		<input type="hidden" name="x_email_customer" value="FALSE"/>
	</c:otherwise>
</c:choose>
<c:choose>
	<c:when test="${settings.map.authorizeNetDPMTestRequest eq '1'}">
		<input type="hidden" name="x_test_request" value="TRUE"/>
	</c:when>
	<c:otherwise>
		<input type="hidden" name="x_test_request" value="FALSE"/>
	</c:otherwise>
</c:choose>
<input type="hidden" name="x_duplicate_window" value="${settings.map.authorizeNetDPMDupeTxTimeout}" />
<input type="hidden" name="x_relay_url" value="${settings.map.customerSecureURL}${settings.map.authorizeNetDPMRelayURL}"/>
<input type="hidden" name="x_login" value="${settings.map.authorizeNetDPMLoginID}"/>
<input type="hidden" name="x_fp_sequence" value="<%=x_fp_sequence%>"/>
<input type="hidden" name="x_fp_timestamp" value="<%=x_fp_timestamp%>"/>
<input type="hidden" name="x_fp_hash" value="<%=x_fp_hash%>"/>
<input type="hidden" name="x_version" value="${settings.map.authorizeNetDPMVersion}"/>
<input type="hidden" name="x_type" value="${settings.map.authorizeNetDPMTxType}"/>

<c:set var="thisYear"><%= now.get(java.util.Calendar.YEAR) %></c:set>
<bean:define id="displayCheckoutConfirm" name="settings" property="value(displayCheckoutConfirm)" type="java.lang.String" />

<fieldset id="basicPaymentForm" class="paymentInformation">
	<legend><bean:message key="paymentForms.ccHeading" bundle="/order" /></legend>

	<label for="creditCardName" class="requiredLabel"><bean:message key="paymentForms.ccName" bundle="/order" /></label>
	<html:text styleId="creditCardName" styleClass="textbox" name="${thisForm}" property="creditCardName" />
	<br />

	<label for="creditCardType" class="requiredLabel"><bean:message key="paymentForms.ccType" bundle="/order" /></label>
	<select class="selectbox" id="creditCardType" name="x_method">
		<c:if test="${fn:contains(settings.map.authorizeNetDPMMethods,'CC')}">
		  <option value="CC">Visa</option>
		  <option value="CC">MasterCard</option>
		  <option value="CC">American Express</option>
		  <option value="CC">Discover</option>
		</c:if>
		<c:if test="${fn:contains(settings.map.authorizeNetDPMMethods,'ECHECK')}">
			<option value="ECHECK">ECheck</option>
		</c:if>
	</select>
	<br />

	<label for="decryptedNumber" class="requiredLabel"><bean:message key="paymentForms.ccNumber" bundle="/order" /></label>
	<input type="text" class="textbox" id="decryptedNumber" name="x_card_num" maxlength="16" />
	<br />

	<label for="creditCardSecurityCode" class="requiredLabel"><bean:message key="paymentForms.ccSecurityCode" bundle="/order" /></label>
	<input type="text" class="textbox" id="creditCardSecurityCode" name="x_card_code" size="4" maxlength="4" />
	(<a href="<c:out value="${customerURL}"/>/images/creditCardCodeWhatsThis.gif" onclick="window.open('<c:out value="${customerURL}"/>/images/creditCardCodeWhatsThis.gif','whatsthis','scrollbars=yes,width=400,height=200');return(false);"><bean:message key="paymentForms.ccWhatsThis" bundle="/order" /></a>)
	<br />
	
	<noscript>
		<label for="creditCardExpiration" class="requiredLabel"><bean:message key="paymentForms.ccExpirationDate" bundle="/order" /></label>
		<input type="text" class="textbox" id="x_exp_date" name="x_exp_date" size="4"/>
	</noscript>

	<label style="display: none;" for="creditCardExpirationMonthDPM" id="creditCardExpirationMonthLabelDPM" class="requiredLabel"><bean:message key="paymentForms.ccExpirationMonth" bundle="/order" /></label>
	<html:select style="display: none;" styleClass="selectbox" styleId="creditCardExpirationMonthDPM" name="${thisForm}" property="creditCardExpirationMonth">
		<html:option value="01">1</html:option>
		<html:option value="02">2</html:option>
		<html:option value="03">3</html:option>
		<html:option value="04">4</html:option>
		<html:option value="05">5</html:option>
		<html:option value="06">6</html:option>
		<html:option value="07">7</html:option>
		<html:option value="08">8</html:option>
		<html:option value="09">9</html:option>
		<html:option value="10">10</html:option>
		<html:option value="11">11</html:option>
		<html:option value="12">12</html:option>
	</html:select>
	<br/>

	<label style="display: none;" for="creditCardExpirationYearDPM" id="creditCardExpirationYearLabelDPM" class="requiredLabel"><bean:message key="paymentForms.ccExpirationYear" bundle="/order" /></label>
	<html:select style="display: none;" styleClass="selectbox selectboxYear" styleId="creditCardExpirationYearDPM" name="${thisForm}" property="creditCardExpirationYear">
		<html:option value="${thisYear}"><c:out value="${thisYear}"/></html:option>
		<html:option value="${thisYear + 1}"><c:out value="${thisYear + 1}"/></html:option>
		<html:option value="${thisYear + 2}"><c:out value="${thisYear + 2}"/></html:option>
		<html:option value="${thisYear + 3}"><c:out value="${thisYear + 3}"/></html:option>
		<html:option value="${thisYear + 4}"><c:out value="${thisYear + 4}"/></html:option>
		<html:option value="${thisYear + 5}"><c:out value="${thisYear + 5}"/></html:option>
		<html:option value="${thisYear + 6}"><c:out value="${thisYear + 6}"/></html:option>
		<html:option value="${thisYear + 7}"><c:out value="${thisYear + 7}"/></html:option>
		<html:option value="${thisYear + 8}"><c:out value="${thisYear + 8}"/></html:option>
		<html:option value="${thisYear + 9}"><c:out value="${thisYear + 9}"/></html:option>
	</html:select>
	<br />
	
	<script language="JavaScript" type="text/javascript">
		<!--
		document.getElementById('creditCardExpirationMonthLabelDPM').style.display = 'block';
		document.getElementById('creditCardExpirationMonthDPM').style.display = 'block';
		document.getElementById('creditCardExpirationYearLabelDPM').style.display = 'block';
		document.getElementById('creditCardExpirationYearDPM').style.display = 'block';
		//-->
	</script>
	
	<c:if test="${settings.map.useImageVerificationWithCCInfo eq '1'}">
		<br /><br />
		<div id="challengeImageAndInstructions">
			<img class="challengeImage" alt="Challenge Image" src="<c:out value="${secureURL}"/>/Jcaptcha.do"/><br/>
			<bean:message key="security.textFromImageInstructions" />
		</div>
		<br /><br />
		<label for="textFromImage" class="requiredLabel"><bean:message key="security.textFromImage" /></label>
		<input type="text" id="textFromImage" name="textFromImage" class="textbox"/>
		<br /><br />
	</c:if>

	<logic:notPresent name="suppressSubmitButton">
		<div id="basicPaymentButton" class="paymentButton">
			<c:if test="${displayCheckoutConfirm eq '0'}">
				<input id="basicPaymentSubmit" type="submit" class="button" value="<bean:message key="paymentForms.button" bundle="/order"/>" onclick="expDate(this.form);" />
			</c:if>
			<c:if test="${displayCheckoutConfirm eq '1'}">
				<input id="basicPaymentSubmit" type="submit" class="button" value="<bean:message key="paymentForms.continueButton" bundle="/order"/>" onclick="expDate(this.form);" />
			</c:if>
		</div>
	</logic:notPresent>
	
</fieldset>
<!-- End authorizeDPMPaymentForm.jsp -->
