<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start discounts.jsp -->
<table class="discount chart" summary="Discount chart">
	<tr>
		<th><bean:message key="product.skuName" bundle="/product"/></th>
		<th><bean:message key="product.discountName" bundle="/product"/></th>
		<th><bean:message key="product.discountAmount" bundle="/product"/></th>
	</tr>
	<logic:iterate name="skuDiscountsToDisplay" id="skuAndDiscount">
		<c:set var="sku" value="${skuAndDiscount.sku}"/>
		<c:set var="discount" value="${skuAndDiscount.discount}"/>
		<tr>
			<td><c:out value="${sku.skuName}" escapeXml="false"/></td>
			<td><c:out value="${discount.name}" escapeXml="false"/></td>
			<td>
				<c:choose>
					<c:when test="${discount.rewardType eq '[percentage]'}">
						<fmt:formatNumber type="number" minFractionDigits="2" maxFractionDigits="2">
							<c:out value="${discount.reward}"/>
						</fmt:formatNumber>
						<bean:message key="product.discountPercentOff" bundle="/product"/>
					</c:when>
					<c:when test="${discount.rewardType eq '[amount]'}">
						<fmt:formatNumber type="currency" currencyCode="${currencyCode}">
							<c:out value="${discount.reward}"/>
						</fmt:formatNumber>
						<bean:message key="product.discountAmountOff" bundle="/product"/>
					</c:when>
					<c:when test="${discount.rewardType eq '[itemsForFree]'}">
						<fmt:formatNumber type="number" minFractionDigits="0" maxFractionDigits="0" value="${discount.reward}"/>
						<bean:message key="product.discountItemsForFree" bundle="/product"/>
					</c:when>
					<c:otherwise>
						<c:if test="${!empty discount.discountRanges and !discount.discountRanges['empty']}">
							<table class="discountRanges chart" summary="Discount ranges chart">
								<tr>
									<th colspan="2">
										<c:choose>
											<c:when test="${discount.rewardType eq '[rangeByQuantity]'}">
												<bean:message key="product.discountQuantities" bundle="/product"/>
											</c:when>
											<c:when test="${discount.rewardType eq '[rangeByPrice]'}">
												<bean:message key="product.discountItemTotal" bundle="/product"/>
											</c:when>
										</c:choose>
									</th>
								</tr>
								<logic:iterate name="discount" property="discountRanges" id="range">
									<c:if test="${range.isActive}">
										<tr>
											<td>
												<c:choose>
													<c:when test="${discount.rewardType eq '[rangeByQuantity]'}">
														<fmt:formatNumber type="number" maxFractionDigits="0">
															<c:out value="${range.floor}"/>
														</fmt:formatNumber>
													</c:when>
													<c:when test="${discount.rewardType eq '[rangeByPrice]'}">
														<fmt:formatNumber type="currency" currencyCode="${currencyCode}">
															<c:out value="${range.floor}"/>
														</fmt:formatNumber>
													</c:when>
													<c:otherwise>
														<c:out value="${range.floor}"/>
													</c:otherwise>
												</c:choose>
												<c:choose>
													<c:when test="${range.ceiling eq 0}">
														<bean:message key="product.discountAndUp" bundle="/product"/>:
													</c:when>
													<c:otherwise>
														<bean:message key="product.discountTo" bundle="/product"/>
														<c:choose>
															<c:when test="${discount.rewardType eq '[rangeByQuantity]'}">
																<fmt:formatNumber type="number" maxFractionDigits="0">
																	<c:out value="${range.ceiling}"/>
																</fmt:formatNumber>:
															</c:when>
															<c:when test="${discount.rewardType eq '[rangeByPrice]'}">
																<fmt:formatNumber type="currency" currencyCode="${currencyCode}">
																	<c:out value="${range.ceiling}"/>
																</fmt:formatNumber>:
															</c:when>
															<c:otherwise>
																<c:out value="${range.ceiling}"/>:
															</c:otherwise>
														</c:choose>
													</c:otherwise>
												</c:choose>
											</td>
											<td>
												<c:choose>
													<c:when test="${range.rewardType eq '[percentage]'}">
														<c:out value="${range.reward}"/><bean:message key="product.discountPercentOff" bundle="/product"/>
													</c:when>
													<c:when test="${range.rewardType eq '[amount]'}">
														<fmt:formatNumber type="currency" currencyCode="${currencyCode}">
															<c:out value="${range.reward}"/>
														</fmt:formatNumber>
														<bean:message key="product.discountAmountOff" bundle="/product"/>
													</c:when>
													<c:when test="${range.rewardType eq '[itemsForFree]'}">
														<fmt:formatNumber type="number" minFractionDigits="0" maxFractionDigits="0">
															<c:out value="${range.reward}"/>
														</fmt:formatNumber>
														<bean:message key="product.discountItemsForFree" bundle="/product"/>
													</c:when>
													<c:otherwise>
														<c:out value="${range.reward}"/>
													</c:otherwise>
												</c:choose>
											</td>
										</tr>
									</c:if>
								</logic:iterate>
							</table>
						</c:if>
					</c:otherwise>
				</c:choose>
			</td>
		</tr>
	</logic:iterate>
</table>
	
<!-- End discounts.jsp -->
