<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start miniCategory.jsp -->
<tiles:useAttribute name="category"/>
<div id="miniCategory-<c:out value="${category.code}"/>" class="miniCategory widget">
	<strong id="miniCategoryHeading" class="heading"><c:out value="${category.name}" escapeXml="false"/></strong>
	<c:set var="imageDisplayed" value="false"/>
	<c:set var="firstItem" value="true"/>
	<c:set var="moreNotDisplayed" value="false"/>
	<c:choose>
		<c:when test="${empty requestScope.numberToDisplay}">
			<c:set var="numberToDisplay" value="${settings.map.currentCategoryProductCount}"/>
		</c:when>
		<c:otherwise>
			<c:set var="numberToDisplay" value="${requestScope.numberToDisplay}"/>
		</c:otherwise>
	</c:choose>
	<logic:greaterThan name="category" property="firstRow" value="1">
		<c:set var="moreNotDisplayed" value="true"/>
	</logic:greaterThan> 
	<bean:size id="numberOfItems" name="category" property="productListCollection"/>
	<c:if test="${numberOfItems > numberToDisplay}">
		<c:set var="moreNotDisplayed" value="true"/>
	</c:if>
	<% String numberToDisplay = (String) pageContext.getAttribute("numberToDisplay"); %>
	<logic:iterate name="category" property="productListCollection" id="product" indexId="i" length="<%= numberToDisplay %>">
		<c:if test="${product.isActive}">
			<c:if test="${firstItem eq 'false'}">
				<hr />
			</c:if>
			<c:if test="${firstItem eq 'true'}">
				<c:set var="firstItem" value="false"/>
			</c:if>
			<c:choose>
				<c:when test="${settings.map.useSEOCodeForProductURLs eq '1' and !empty product.seoCode}">
					<c:set var="productLinkCode" value="${product.seoCode}"/>
				</c:when>
				<c:otherwise>
					<c:set var="productLinkCode" value="${product.code}"/>
				</c:otherwise>
			</c:choose>
			<div id="miniCategoryProduct-<c:out value="${product.code}"/>" class="product">
				<c:if test="${!empty product.smallImage && !imageDisplayed}">
					<c:if var="imageDisplayed" test="${true}"/>
					<c:set var="imageURL" value="${product.smallImage}"/>
					<% if (!request.isSecure() || !((String) pageContext.getAttribute("imageURL")).startsWith("http://")) { %>
						<p class="image">
							<html:link href="${customerURL}/Product.do?code=${productLinkCode}&category=${category.code}" >
								<img src="<c:out value="${product.smallImage}"/>"<c:if test="${!empty product.name}"> title="<c:out value="${product.name}"/>" alt="<c:out value="${product.name}"/>"</c:if>/>
							</html:link>
						</p>
					<% } %>
				</c:if>
				<p class="name">
					<html:link href="${customerURL}/Product.do?code=${productLinkCode}&category=${category.code}">
						<c:out value="${product.name}" escapeXml="false"/>
					</html:link>
				</p>
			</div>
		</c:if>
	</logic:iterate>
	<c:if test="${moreNotDisplayed eq 'true'}">
		<hr />
		<p class="links">
			<html:link action="/Category" paramId="code" paramName="category" paramProperty="code"><bean:message key="cart.allItems" bundle="/order"/></html:link>
		</p>
	</c:if>
</div>
<!-- End miniCategory.jsp -->
