package com.softslate.commerce.administrator.ordermanagement;

import java.util.Collection;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.businessobjects.product.DiscountProcessor;
import com.softslate.commerce.customer.core.BaseAction;

/**
 * Loads every coupon.
 * 
 * @author David Tobey
 */
public class LoadAllCouponsAction extends BaseAction {

	static Log log = LogFactory.getLog(LoadAllCouponsAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");

		ActionErrors errors = new ActionErrors();

		try {

			// Load products for the product drop down.
			BusinessObjectFactory bof = (BusinessObjectFactory) request
					.getAttribute("businessObjectFactory");
			DiscountProcessor processor =  bof
					.createObject(DiscountProcessor.class);
			Collection coupons = processor.loadAllCoupons();
			request.setAttribute("coupons", coupons);

			return mapping.findForward("success");

		} catch (Exception e) {
			if (log.isErrorEnabled())
				log.error("Exception follows: ", e);
			errors.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage(
					"errors.detail", e.toString()));
			saveErrors(request, (ActionMessages) errors);
			return mapping.findForward("exception");
		}
	}
}
