package com.softslate.commerce.administrator.payment;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.customer.core.BaseDynaForm;



/**
 * @author David Tobey
 * 
 */
public class SettingsFormPayment extends BaseDynaForm {

	private static final long serialVersionUID = 3257572784618943285L;

	static Log log = LogFactory.getLog(SettingsFormPayment.class);

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);
		if (!getFormUtils().stringExists(this, "paymentRequired")) {
			getErrors()
					.add(
							ActionMessages.GLOBAL_MESSAGE,
							new ActionMessage("errors.required",
									"Is Payment Required"));
		}
		if (!getFormUtils().stringExists(this, "securityCodeRequired")) {
			getErrors()
					.add(
							ActionMessages.GLOBAL_MESSAGE,
							new ActionMessage("errors.required",
									"Is Security Code Required"));
		}
		if (!getFormUtils().stringExists(this, "activePaymentProcessors")) {
            getErrors()
                    .add(
                            ActionMessages.GLOBAL_MESSAGE,
							new ActionMessage(
									"errors.detail",
									"Please select at least one active payment processor. "
											+ "If you do not need to collect payments, select the "
											+ "Basic Payment Processor processor and set the  "
											+ "'Is Payment Information Required?' flag to no."));
		}
		return getErrors();
	}

}
