package com.softslate.commerce.administrator.product;

import java.util.Arrays;
import java.util.Collection;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.beanutils.BeanUtils;
import org.apache.commons.beanutils.PropertyUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.softslate.commerce.businessobjects.product.Product;
import com.softslate.commerce.businessobjects.product.ProductProcessor;
import com.softslate.commerce.customer.core.BaseAction;
import com.softslate.commerce.customer.core.BaseForm;

/**
 * @author David Tobey
 * 
 */
public class ProductCloneFormAction extends BaseAction {

	static Log log = LogFactory.getLog(ProductCloneFormAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");
		BaseForm baseForm = (BaseForm) form;
		baseForm.initializeProperties(mapping, request);

		// Get the record to edit
		ProductProcessor processor = (ProductProcessor) baseForm
				.getBusinessObjectFactory().createObject(
						"productProcessorImplementer");
		Product product = processor.loadProductFromID(PropertyUtils
				.describe(form));
		BeanUtils.copyProperties(baseForm, product);
		request.setAttribute("product", product);
		request.setAttribute("productAddEditForm", product);

		// Enforce role permissions
		if (!request.isUserInRole("superuser")
				&& !request.isUserInRole("administrator")
				&& !request.isUserInRole("productEdit")) {
			request.setAttribute("editPermission", "false");
		} else {
			request.setAttribute("editPermission", "true");
		}

		// Create breadcrumbing collection
		Collection bcs = Arrays.asList(new String[] { "Home", "Products",
				"Product Details", "Clone Product" });
		request.setAttribute("breadcrumbs", bcs);

		// Create more subnavigation collection
		Collection moresn = Arrays.asList(new String[] {
				"Product Other Settings", "Product Custom Settings",
				"Additional Images", "Product File Downloads", "Clone Product",
				"Product Inventory Settings", "Product Facets" });
		request.setAttribute("moreSubNavigation", moresn);

		if (log.isDebugEnabled())
			log.debug("Finished with Action.");
		return mapping.findForward("success");
	}
}
