package com.softslate.commerce.businessobjects.administrator;

import java.io.Serializable;
import java.util.Collection;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.hibernate.envers.AuditTable;
import org.hibernate.envers.Audited;

import com.softslate.commerce.businessobjects.core.BaseBusinessObject;

/**
 * Object representing a role within the system. <code>RoleBean</code> is the
 * default implementation of the <code>Role</code> interface for the
 * application.
 * <p>
 * The database stores roles in the <code>sscRole</code> table, and this class
 * can be used to represent a single row of that table. The Hibernate
 * configuration file <code>RoleBean.hbm.xml</code> maps that table's columns
 * to the properties in this object.
 * 
 * @author David Tobey
 * 
 */
@Audited
@AuditTable("AudRole")
public class RoleBean extends BaseBusinessObject implements Role, Serializable {

	private static final long serialVersionUID = 4292308312950214975L;

	static Log log = LogFactory.getLog(RoleBean.class);

	private int roleID = 0;

	public int getRoleID() {
		return (this.roleID);
	}

	public void setRoleID(int roleID) {
		this.roleID = roleID;
	}

	private String code = null;

	public String getCode() {
		return (this.code);
	}

	public void setCode(String code) {
		this.code = code;
	}

	private String name = null;

	public String getName() {
		return (this.name);
	}

	public void setName(String name) {
		this.name = name;
	}

	private String description = null;

	public String getDescription() {
		return (this.description);
	}

	public void setDescription(String description) {
		this.description = description;
	}

	private Collection administratorRoles = null;

	public Collection getAdministratorRoles() {
		return administratorRoles;
	}

	public void setAdministratorRoles(Collection administratorRoles) {
		this.administratorRoles = administratorRoles;
	}

}
