package com.softslate.commerce.businessobjects.importexport;

import java.util.Collection;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.softslate.commerce.daos.order.OrderGatewayDAO;
import com.softslate.commerce.businessobjects.core.BaseBusinessProcessor;

public class BasicSalesReportProcessor extends BaseBusinessProcessor implements
		SalesReportProcessor {
	
	static Log log = LogFactory.getLog(BasicSalesReportProcessor.class);

	public Collection processSalesByProductReport(Map parameters)
			throws Exception {

		if (log.isInfoEnabled())
			log.info("Processing sales by product report");

		OrderGatewayDAO dao =  getDaoFactory()
				.createDAO(OrderGatewayDAO.class);

		String startDate = (String) parameters.get("startDate");
		String endDate = (String) parameters.get("endDate");
		Integer[] productIDs = (Integer[]) parameters.get("productIDs");

		if (startDate != null && startDate.length() > 0 && endDate != null
				&& endDate.length() > 0) {

			startDate = startDate + " 00:00:00:000";
			endDate = endDate + " 23:59:59:999";

			// Run the report
			return dao.loadSalesByProductReport(startDate, endDate,
					productIDs);

		}
		return null;
	}

	public Collection processMonthlySalesReport(Map parameters)
			throws Exception {

		if (log.isInfoEnabled())
			log.info("Processing monthly sales report");

		OrderGatewayDAO dao =  getDaoFactory()
				.createDAO(OrderGatewayDAO.class);

		String startDate = (String) parameters.get("startDate");
		String endDate = (String) parameters.get("endDate");

		if (startDate != null && startDate.length() > 0 && endDate != null
				&& endDate.length() > 0) {

			startDate = startDate + " 00:00:00:000";
			endDate = endDate + " 23:59:59:999";

			// Run the report
			return dao.loadMonthlySalesReport(startDate, endDate);

		}
		return null;
	}

}
