package com.softslate.commerce.customer.customer;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.softslate.commerce.customer.core.BaseAction;

/**
 * Struts action class that prepares the login screen. Used for requests to
 * "/AccountLogin.do".
 * <p>
 * The <code>execute</code> method of this class prepares an instance of
 * <code>RegisterForm</code> in the request scope so it is availabe in
 * addition to the <code>LoginForm</code> instance that will be instantiated
 * because of the Struts mapping.
 * 
 * @author David Tobey
 */
public class LoginFormAction extends BaseAction {
	static Log log = LogFactory.getLog(LoginFormAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isInfoEnabled())
			log.info("Starting action.");

		// Preserve the original request so it can be forwarded.
		String originalRequest = (String) request
				.getAttribute("originalRequest");
		if (originalRequest != null) {
			LoginForm baseForm = (LoginForm) form;
			baseForm.setOriginalRequest(originalRequest);
		}
		
		// Initialize the register form
		RegisterForm baseForm = new RegisterForm();
		baseForm.setServlet(getServlet());
		baseForm.initializeProperties(mapping, request);
		if (originalRequest != null) {
			baseForm.setOriginalRequest(originalRequest);
		}
		baseForm.getRequest().setAttribute("registerForm", baseForm);
		return mapping.findForward("success");
	}

}
