package com.softslate.commerce.daos.email;

import com.softslate.commerce.businessobjects.email.Email;
import com.softslate.commerce.daos.core.DAOInterface;

/**
 * Interface for a DAO to manage the <code>sscEmail</code> table of the
 * database.
 */
public interface EmailDAO extends DAOInterface {
	abstract Email getEmail();

	abstract void setEmail(Email email);

	abstract void loadEmailFromID() throws Exception;

	abstract void insertEmail() throws Exception;

	abstract void insertEmail(boolean commit) throws Exception;

	abstract void updateEmail() throws Exception;

	abstract void updateEmail(boolean commit) throws Exception;

	abstract void deleteEmail() throws Exception;

	abstract void deleteEmail(boolean commit) throws Exception;
}
