package com.softslate.commerce.daos.email;

import java.util.Collection;
import java.util.Map;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.businessobjects.email.EmailOptOut;
import com.softslate.commerce.daos.core.DAOInterface;

/**
 * Interface for a DAO that runs miscellaneous queries related to 
 * EmailOptOuts.
 */
public interface EmailOptOutGatewayDAO extends DAOInterface {

	abstract Map loadEmailOptOutsAndCount(Map parameters) throws Exception;

	abstract void editDeleteEmailOptOuts(Map parameters, BusinessObjectFactory bof) throws Exception;
	
	abstract Collection<EmailOptOut> loadAllEmailOptOuts() throws Exception;

	abstract Integer optOutsCountByEmailAndType(String type, String emailAddress) throws Exception;
}
