package com.softslate.commerce.daos.order;

import com.softslate.commerce.businessobjects.order.OrderItem;
import com.softslate.commerce.daos.core.DAOInterface;

/**
 * Interface for a DAO to manage the <code>sscOrderItem</code> table of the
 * database.
 * 
 * @author David Tobey
 */
public interface OrderItemDAO extends DAOInterface {
    abstract OrderItem getOrderItem();

    abstract void setOrderItem(OrderItem orderItem);

    abstract void insertOrderItem() throws Exception;

    abstract void insertOrderItem(boolean commit) throws Exception;

    abstract void updateOrderItem() throws Exception;

    abstract void updateOrderItem(boolean commit) throws Exception;

    abstract void deleteOrderItem() throws Exception;

    abstract void deleteOrderItem(boolean commit) throws Exception;

    abstract void loadOrderItemFromID() throws Exception;

}
