package com.softslate.commerce.daos.payment;

import com.softslate.commerce.businessobjects.payment.Payment;
import com.softslate.commerce.daos.core.DAOInterface;


/**
 * Interface for a DAO to manage the <code>sscPayment</code> table of the
 * database.
 * 
 * @author David Tobey
 * 
 */
public interface PaymentDAO extends DAOInterface {
	abstract Payment getPayment();

	abstract void setPayment(Payment payment);

	abstract void loadPaymentFromID() throws Exception;

	abstract void insertPayment() throws Exception;

	abstract void insertPayment(boolean commit) throws Exception;

	abstract void updatePayment() throws Exception;

	abstract void updatePayment(boolean commit) throws Exception;

	abstract void deletePayment() throws Exception;

	abstract void deletePayment(boolean commit) throws Exception;
}
