package com.softslate.commerce.daos.shipping;

import com.softslate.commerce.businessobjects.shipping.ShippingMethod;
import com.softslate.commerce.daos.core.DAOInterface;


/**
 * Interface for a DAO to manage the <code>sscShippingMethod</code> table of the
 * database.
 * 
 * @author David Tobey
 * 
 */
public interface ShippingMethodDAO extends DAOInterface {
	abstract ShippingMethod getShippingMethod();

	abstract void setShippingMethod(ShippingMethod shippingMethod);

	abstract void loadShippingMethodFromID() throws Exception;

	abstract void loadShippingMethodFromCode() throws Exception;

	abstract void insertShippingMethod() throws Exception;

	abstract void insertShippingMethod(boolean commit) throws Exception;

	abstract void updateShippingMethod() throws Exception;

	abstract void updateShippingMethod(boolean commit) throws Exception;

	abstract void deleteShippingMethod() throws Exception;

	abstract void deleteShippingMethod(boolean commit) throws Exception;
}
