CREATE TABLE sscCustomerWishList (
  customerWishListID INT IDENTITY NOT NULL,
  customerID INT NOT NULL DEFAULT '0',
  name VARCHAR(255) DEFAULT NULL,
  description VARCHAR(255) DEFAULT NULL,
  created VARCHAR(100) DEFAULT NULL,
  lastUpdated VARCHAR(100) DEFAULT NULL,
  class VARCHAR(255) DEFAULT 'com.softslate.commerce.businessobjects.customer.CustomerWishListBean',
  CONSTRAINT PK_customerWishListID PRIMARY KEY CLUSTERED 
  ( customerWishListID ) ON [PRIMARY],
  CONSTRAINT FK_customer_customerWishList FOREIGN KEY (
	customerID
  ) REFERENCES sscCustomer (
	customerID
  ) ON DELETE CASCADE ON UPDATE CASCADE
);

CREATE TABLE sscCustomerWishListProduct (
  customerWishListProductID INT IDENTITY NOT NULL,
  customerWishListID INT NOT NULL DEFAULT '0',
  productID INT NOT NULL DEFAULT '0',
  class VARCHAR(255) DEFAULT 'com.softslate.commerce.businessobjects.customer.CustomerWishListProductBean',
  CONSTRAINT PK_customerWishListProductID PRIMARY KEY CLUSTERED 
  ( customerWishListProductID ) ON [PRIMARY],
  CONSTRAINT FK_customerWL_customerWLP FOREIGN KEY (
	customerWishListID
  ) REFERENCES sscCustomerWishList (
	customerWishListID
  ) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT FK_product_customerWLP FOREIGN KEY (
	productID
  ) REFERENCES sscProduct (
	productID
  ) ON DELETE CASCADE ON UPDATE CASCADE
);

CREATE TABLE sscRequestLog (
  requestLogID INT IDENTITY NOT NULL,
  orderID INT DEFAULT NULL,
  orderNumber INT DEFAULT NULL,
  customerID INT DEFAULT NULL,
  customerUserName VARCHAR(100) DEFAULT NULL,
  administratorID INT DEFAULT NULL,
  administratorUserName VARCHAR(100) DEFAULT NULL,
  sessionID VARCHAR(100) DEFAULT NULL,
  ipAddress VARCHAR(255) DEFAULT NULL,
  userAgent VARCHAR(255) DEFAULT NULL,
  servletPath VARCHAR(255) DEFAULT NULL,
  requestURL VARCHAR(255) DEFAULT NULL,
  requestParameters TEXT,
  referrer VARCHAR(255) DEFAULT NULL,
  isAdminRequest BIT NOT NULL DEFAULT '0',
  created VARCHAR(100) DEFAULT NULL,
  class VARCHAR(255) DEFAULT 'com.softslate.commerce.businessobjects.core.RequestLogBean',
  CONSTRAINT PK_requestLogID PRIMARY KEY CLUSTERED 
  ( requestLogID ) ON [PRIMARY]
);

CREATE INDEX sscRequestLog_orderID ON sscRequestLog (orderID);
CREATE INDEX sscRequestLog_orderNumber ON sscRequestLog (orderNumber);
CREATE INDEX sscRequestLog_customerID ON sscRequestLog (customerID);
CREATE INDEX sscRequestLog_customerUserName ON sscRequestLog (customerUserName);
CREATE INDEX sscRequestLog_administratorID ON sscRequestLog (administratorID);
CREATE INDEX sscRequestLog_administratorUserName ON sscRequestLog (administratorUserName);
CREATE INDEX sscRequestLog_sessionID ON sscRequestLog (sessionID);
CREATE INDEX sscRequestLog_ipAddress ON sscRequestLog (ipAddress);
CREATE INDEX sscRequestLog_userAgent ON sscRequestLog (userAgent);
CREATE INDEX sscRequestLog_servletPath ON sscRequestLog (servletPath);
CREATE INDEX sscRequestLog_requestURL ON sscRequestLog (requestURL);
CREATE INDEX sscRequestLog_created ON sscRequestLog (created);

ALTER TABLE sscDiscount ADD CONSTRAINT FK_discount_orderitem FOREIGN KEY (
	orderItemID
  ) REFERENCES sscOrderItem (
	orderItemID
  ) ON DELETE SET NULL;
