<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<bean:define id="administratorURL" name="settings" property="value(administratorURL)"/>
<bean:define id="formActionTemp" name="mainForm" property="formAction" type="java.lang.String" toScope="request"/>
<bean:define id="formAction" value="<%=response.encodeURL(administratorURL + formActionTemp)%>" type="java.lang.String" toScope="request"/>
<bean:define id="displayFieldArray" name="mainForm" property="displayFields" type="java.lang.String[]" />

<!-- Start gridLabels.jsp -->
<c:if test="${empty outputMode or outputMode eq 'screen'}">
	<form name="sortForm" action="<c:out value="${formAction}"/>" method="post">
		<html:hidden name="mainForm" property="itemsPerPage"/>
		<html:hidden name="mainForm" property="firstRow"/>
		<html:hidden name="mainForm" property="searchString"/>
		<html:hidden name="mainForm" property="editMode"/>
		<html:hidden name="mainForm" property="outputMode"/>
		<input type="hidden" name="sortByString" value=""/>
		<input type="hidden" name="sortAscOrDesc" value="DESC"/>
		<logic:iterate collection="<%= displayFieldArray %>" id="displayField" type="java.lang.String">
			<input type="hidden" name="displayFields" value="<%= displayField %>" />
		</logic:iterate>
		<c:if test="${!empty parentIDField}">
			<input type="hidden" name="parentIDField" value="<c:out value="${parentIDField}"/>"/>
			<input type="hidden" name="<c:out value="${parentIDField}"/>" value="<c:out value="${parentIDValue}"/>"/>
		</c:if>
		<c:if test="${(mainForm.entityProperty eq 'attribute' or mainForm.entityProperty eq 'option' or mainForm.entityProperty eq 'discountRange') and !empty mainForm.productID}">
			<html:hidden name="mainForm" property="productID"/>
		</c:if>
		<c:if test="${mainForm.entityProperty eq 'discountRange' and !empty mainForm.skuID}">
			<html:hidden name="mainForm" property="skuID"/>
		</c:if>
		<c:if test="${mainForm.entityProperty eq 'order' and !empty mainForm.workWithOrders}">
			<html:hidden name="mainForm" property="workWithOrders"/>
		</c:if>
		<c:if test="${mainForm.entityProperty eq 'category' and !empty mainForm.workWithCategories}">
			<html:hidden name="mainForm" property="workWithCategories"/>
		</c:if>
		<c:if test="${mainForm.entityProperty eq 'requestLog' and !empty mainForm.workWithRequests}">
			<html:hidden name="mainForm" property="workWithRequests"/>
		</c:if>
		<c:if test="${!empty mainForm.assignments}">
			<html:hidden name="mainForm" property="assignments"/>
		</c:if>
	</form>
</c:if>
<tr>
	<c:if test="${empty outputMode or outputMode eq 'screen'}">
		<c:if test="${mainForm.outputMode eq 'screen'}">
			<th <c:if test="${!empty mainForm.childEditAction}">colspan="2"</c:if>>
				<bean:message key="administrator.details" bundle="/administrator/administrator"/>
			</th>
			<c:choose>
				<c:when test="${mainForm.editMode eq 'true' and empty mainForm.assignments}">
					<th>
						<bean:message key="administrator.delete" bundle="/administrator/administrator"/>
						<a href="javascript:toggleCheckDeletes();">[<bean:message key="administrator.all" bundle="/administrator/administrator"/>]</a>
					</th>
				</c:when>
				<c:when test="${mainForm.editMode ne 'true' and (mainForm.entityProperty eq 'order' or (empty mainForm.assignments and mainForm.entityProperty eq 'product'))}">
					<th>
						<a href="javascript:toggleCheckSelected();">[<bean:message key="administrator.all" bundle="/administrator/administrator"/>]</a>
					</th>
				</c:when>
			</c:choose>
		</c:if>
		<c:if test="${!empty mainForm.assignments}">
			<th>
				<bean:message key="administrator.assigned" bundle="/administrator/administrator"/>
				<a href="javascript:toggleCheckAssigned();">[<bean:message key="administrator.all" bundle="/administrator/administrator"/>]</a>
			</th>
		</c:if>
	</c:if>
	<bean:define id="fieldArray" name="mainForm" property="fields" type="java.lang.String[]" />
	<bean:define id="fieldLabelArray" name="mainForm" property="fieldLables" type="java.lang.String[]" />
	<% java.util.Collection displayFieldCollection = java.util.Arrays.asList(displayFieldArray); %>
	<bean:define id="cantSortByFieldArray" name="mainForm" property="cantSortByFields" type="java.lang.String[]" />
	<% java.util.Collection cantSortByFieldCollection = java.util.Arrays.asList(cantSortByFieldArray); %>
	<logic:iterate collection="<%= fieldArray %>" id="field" indexId="i" type="java.lang.String">
		<% if (displayFieldCollection.contains(field)) { %>
		<th class="gridLabel">
			<c:if test="${empty outputMode or outputMode eq 'screen'}">
				<% if (!cantSortByFieldCollection.contains(field)) { %>
					<a href="#" title="Sort By <%= fieldLabelArray[i.intValue()] %> Ascending" onclick="document.forms.sortForm.sortByString.value='<c:out value="${field}"/>';document.forms.sortForm.sortAscOrDesc.value='ASC';document.forms.sortForm.submit()">&#8593;</a>
				<% } %>
			</c:if><%= fieldLabelArray[i.intValue()] %><c:if test="${empty outputMode or outputMode eq 'screen'}">
				<% if (!cantSortByFieldCollection.contains(field)) { %>
					<a href="#" title="Sort By <%= fieldLabelArray[i.intValue()] %> Descending" onclick="document.forms.sortForm.sortByString.value='<c:out value="${field}"/>';document.forms.sortForm.sortAscOrDesc.value='DESC';document.forms.sortForm.submit()">&#8595;</a>
				<% } %>
			</c:if>
		</th>
		<% } %>
	</logic:iterate>
</tr>

<!-- End gridLabels.jsp -->
