<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<bean:define id="administratorURL" name="settings" property="value(administratorURL)" type="java.lang.String"/>

<!-- Start productExtra.jsp -->
	<%-- Explain the primary category asterisk. --%>
	<c:if test="${primaryCategoryMatchAsterisk eq 'true'}">
		<div class="instructions calloutExplanation">
			<span class="calloutMatch">*</span> This category is the primary category for the product. To unassign, change the product's primary category.
		</div>
	</c:if>
	
	<%-- Explain the keep orders in sync asterisk. --%>
	<c:if test="${keepOrdersInSyncAsterisk eq 'true'}">
		<div class="instructions calloutExplanation">
			<span class="calloutMatch">**</span> In order to set product orders within a category, set the 'Keep Order Fields in Sync' setting to no first
			, from the <a href="SettingsAdvancedSystem.do">Advanced System Settings screen</a>.
		</div>
	</c:if>

<%-- Don't display on related products or attribute -> products screen. --%>
<c:if test="${(mainForm.parentIDField ne 'parentProductID' or empty requestScope.product) 
	and mainForm.parentIDField ne 'attributeID' 
	and mainForm.parentIDField ne 'parentManufacturerID'
	and (empty category or category.isContentPage eq '0')}">

	<c:if test="${editPermission eq 'true'}">
		
		<%-- Check for whether to display all categories in drop down. --%>
		<c:if test="${!empty categories}">
			<bean:size id="categoriesSize" name="categories"/>
		</c:if>
		<c:set var="numberOfColumns" value="3"/>
		
		<%-- Product quick add form and sorter. --%>
		<div class="controlScreenExtra">
			<h2 class="administratorHeader">Product - Quick Add</h2>
			<form name="productQuickAdd" class="extraForm adminContainer" action="<c:out value="${administratorURL}"/>/ProductQuickAdd.do">
				<c:if test="${mainForm.parentIDField eq 'categoryID' and !empty requestScope.category.name}">
					<input type="hidden" name="categoryID" value="<c:out value="${category.categoryID}"/>"/>
					<input type="hidden" name="parentIDField" value="categoryID"/>
					<input type="hidden" name="assignments" value="<c:out value="${mainForm.assignments}"/>"/>
				</c:if>
				<table>
					<tr>
						<td class="extraField">
							<label for="quickAddCode">Code:</label><br/>
							<html:text maxlength="100" name="productAddEditForm" property="code" styleId="quickAddCode"/>
						</td>
						<td class="extraField">
							<label for="quickAddName">Name:</label><br/>
							<html:text maxlength="255" name="productAddEditForm" property="name" styleId="quickAddName"/>
						</td>
						<td class="extraField">
							<label for="quickAddPrice">Price:</label><br/>
							<html:text maxlength="10" name="productAddEditForm" property="unitPrice" styleId="quickAddPrice"/>
						</td>
						<c:if test="${!empty categoriesSize}">
							<c:set var="numberOfColumns" value="4"/>
							<td class="extraField">
								<label for="quickAddPrimaryCategory">Primary Category:</label><br/>
								<c:choose>
									<c:when test="${!empty categoriesSize and categoriesSize <= settings.map.maxAdminRecordsToDisplay}">
										<html:select styleId="quickAddPrimaryCategory" name="productAddEditForm" property="primaryCategoryID">
											<logic:empty name="productAddEditForm" property="primaryCategoryID">
												<option value="0" selected="selected">
													[No Parent]
												</option>
											</logic:empty>
											<logic:notEmpty name="productAddEditForm" property="primaryCategoryID">
												<option value="0">
													[No Parent]
												</option>
											</logic:notEmpty>
											<html:options collection="categories" property="categoryID" labelProperty="name" />
										</html:select>
									</c:when>
									<c:otherwise>
										<html:text maxlength="16" name="productAddEditForm" property="primaryCategoryID" />
									</c:otherwise>
								</c:choose>
							</td>
						</c:if>
					</tr>
					<tr>
						<td colspan="<c:out value="${numberOfColumns}"/>" class="extraButton">
							<input type="submit" class="button" name="addSubmit" value="<bean:message key="administrator.add" bundle="/administrator/administrator"/>" />
						</td>
					</tr>
				</table>
			</form>
			<div class="extraFooting">
				<a href="<c:out value="${administratorURL}"/>/ProductAddForm.do">Use the full add product form</a>
			</div>
		</div>
		<c:if test="${mainForm.parentIDField ne 'categoryID' or empty requestScope.category.name}">
			<div class="controlScreenExtra">
				<h2 class="administratorHeader"><bean:message key="product.productSorter" bundle="/product"/></h2>
				<form name="productSorter" class="extraForm adminContainer" action="<c:out value="${administratorURL}"/>/ProductSorter.do">
					<div class="sorterOptions">
						<label for="sorterByName">Sort by name:</label> <input id="sorterByName" type="radio" name="sortBy" value="name" checked="checked"/>
						&nbsp;&nbsp;&nbsp;
						<label for="sorterByCode">Sort by code:</label> <input id="sorterByCode" type="radio" name="sortBy" value="code"/>
						&nbsp;&nbsp;&nbsp;
						<input type="submit" class="button" name="sortProducts" value="<bean:message key="product.sortProducts" bundle="/product"/>" />
					</div>
					<div class="instructions">
						<bean:message key="product.productSorterInstructions" bundle="/product"/>
					</div>
				</form>
			</div>
		</c:if>
	</c:if>
</c:if>
<!-- End productExtra.jsp -->
