(function($) {
	$(document).ready(function() {
		$.SSCOnePageCheckout.init();	
	});
	
	$.SSCOnePageCheckout = {
		activating : false,
		init : function() {
			
			// Init accordian
			$("#onePageCheckout").accordion({ 
				active: 0,
				heightStyle: "content",
				beforeActivate: function( event, ui ) {
					var oldID = $.SSCOnePageCheckout.findTabIndex($(ui.oldHeader));
					var newID = $.SSCOnePageCheckout.findTabIndex($(ui.newHeader));
					if (event.originalEvent && event.originalEvent.type && event.originalEvent.type == 'click'){
						if (oldID > newID){
							$.SSCOnePageCheckout.resetAll();
							if ($(ui.newHeader).hasClass("onePageCheckout-addresses")) {
								$("#onePageCheckout").accordion( "option", "active", $.SSCOnePageCheckout.findTabIndex($(".onePageCheckout-addresses")));
							} else if ($(ui.newHeader).hasClass("onePageCheckout-shipping")) {
								$.SSCOnePageCheckout.submitShippingForm(event);
							} else if ($(ui.newHeader).hasClass("onePageCheckout-payment")) {
								$.SSCOnePageCheckout.submitPaymentForm(event);
							}
						}
						return false;
					}else{
						return true;
					}
				 }
					
			});
			$('#addressesForm').on("submit", function(event) {
				$.SSCOnePageCheckout.submitProcessAddresses(event);
			});
		},
		
		resetAll : function() {
			$(".onePageCheckout-payment-content").html("");
			$(".onePageCheckout-payment-errors").html("");
			$(".onePageCheckout-shipping-content").html("");
			$(".onePageCheckout-shipping-errors").html("");
			$(".onePageCheckout-confirm-content").html("");
			$(".onePageCheckout-confirm-errors").html("");
		},
		
		submitProcessAddresses : function(event) {
			event.preventDefault();
			$(".onePageCheckout-addresses-errors").html("");
			$.SSCOnePageCheckout.showAsLoading('.onePageCheckout-addresses-content');
			$.ajax( {
				type : "POST",
				url : "CheckoutAddressesAjax.do",
				data : $('#addressesForm').serialize(),
				dataType : "html",
				success : $.SSCOnePageCheckout.submitProcessAddressesSuccess,
				error : $.SSCOnePageCheckout.submitProcessAddressesError
			});
		},
		
		submitProcessAddressesSuccess : function(html) {
			$.SSCOnePageCheckout.showAsNotLoading('.onePageCheckout-addresses-content');
			if (html.indexOf("id=\"ajaxErrors\"") != -1) {
				$(".onePageCheckout-addresses-errors").html(html);
				$.SSCOnePageCheckout.scrollToElement($(".onePageCheckout-addresses-errors"));
			} else if (html.indexOf("shippingFormGuts.jsp") != -1) {
				$(".onePageCheckout-shipping-content").html(html);
				$("#onePageCheckout").accordion( "option", "active", $.SSCOnePageCheckout.findTabIndex($(".onePageCheckout-shipping")));
				$('#shippingForm').off("submit");
				$('#shippingForm').on("submit", function(event) {
					$.SSCOnePageCheckout.submitProcessShipping(event);
				});
			} else if (html.indexOf("paymentForms.jsp") != -1) {
				$(".onePageCheckout-payment-content").html(html);
				$("#onePageCheckout").accordion( "option", "active", $.SSCOnePageCheckout.findTabIndex($(".onePageCheckout-payment")));
				$('.paymentForm').off("submit");
				$('.paymentForm').on("submit", function(event) {
					$.SSCOnePageCheckout.submitProcessPayment(event);
				});
			} else if (html.indexOf("thankYouAndEmails.jsp") != -1) {
				$.SSCOnePageCheckout.resetAll();
				$("#onePageCheckoutMain").html(html);
			} else {
				document.location = "Checkout.do";
			}
		},

		submitProcessAddressesError : function(error) {
			$.SSCOnePageCheckout.showAsNotLoading('.onePageCheckout-addresses-content');
			$(".onePageCheckout-addresses-errors").html("Error contacting server.");
			$.SSCOnePageCheckout.scrollToElement($(".onePageCheckout-addresses-errors"));
		},
		
		submitShippingForm : function(event) {
			event.preventDefault();
			$("#onePageCheckout").accordion( "option", "active", $.SSCOnePageCheckout.findTabIndex($(".onePageCheckout-shipping")));
			$(".onePageCheckout-shipping-errors").html("");
			$.SSCOnePageCheckout.showAsLoading('.shippingForm-wrapper');
			$.ajax( {
				type : "POST",
				url : "CheckoutShippingFormAjax.do",
				dataType : "html",
				success : $.SSCOnePageCheckout.submitShippingFormSuccess,
				error : $.SSCOnePageCheckout.submitShippingFormError
			});
		},
		
		submitShippingFormSuccess : function(html) {
			$.SSCOnePageCheckout.showAsNotLoading('.shippingForm-wrapper');
			if (html.indexOf("id=\"ajaxErrors\"") != -1) {
				$(".onePageCheckout-shipping-errors").html(html);
				$.SSCOnePageCheckout.scrollToElement($(".onePageCheckout-shipping-errors"));
			} else if (html.indexOf("shippingFormGuts.jsp") != -1) {
				$(".onePageCheckout-shipping-content").html(html);
				$('#shippingForm').off("submit");
				$('#shippingForm').on("submit", function(event) {
					$.SSCOnePageCheckout.submitProcessShipping(event);
				});
			} else {
				document.location = "Checkout.do";
			}
		},

		submitShippingFormError : function(error) {
			$.SSCOnePageCheckout.showAsNotLoading('.onePageCheckout-shipping-content');
			$(".onePageCheckout-shipping-errors").html("Error contacting server.");
			$.SSCOnePageCheckout.scrollToElement($(".onePageCheckout-shipping-errors"));
		},
		
		submitProcessShipping : function(event) {
			event.preventDefault();
			$(".onePageCheckout-addresses-errors").html("");
			$(".onePageCheckout-shipping-errors").html("");
			$.SSCOnePageCheckout.showAsLoading('.shippingForm-wrapper');
			$.ajax( {
				type : "POST",
				url : "CheckoutShippingAjax.do",
				data : $('#shippingForm').serialize(),
				dataType : "html",
				success : $.SSCOnePageCheckout.submitProcessShippingSuccess,
				error : $.SSCOnePageCheckout.submitProcessShippingError
			});
		},
		
		submitProcessShippingSuccess : function(html) {
			$.SSCOnePageCheckout.showAsNotLoading('.shippingForm-wrapper');
			if (html.indexOf("id=\"ajaxErrors\"") != -1) {
				$(".onePageCheckout-shipping-errors").html(html);
				$.SSCOnePageCheckout.scrollToElement($(".onePageCheckout-shipping-errors"));
			}else if (html.indexOf("paymentForms.jsp") != -1) {
				$(".onePageCheckout-payment-content").html(html);
				$(".onePageCheckout-shipping-content").html("");
				$("#onePageCheckout").accordion( "option", "active", $.SSCOnePageCheckout.findTabIndex($(".onePageCheckout-payment")));	
				$('.paymentForm').off("submit");
				$('.paymentForm').on("submit", function(event) {
					$.SSCOnePageCheckout.submitProcessPayment(event);
				});
			} else if (html.indexOf("thankYouAndEmails.jsp") != -1) {
				$.SSCOnePageCheckout.resetAll();
				$("#onePageCheckoutMain").html(html);
			} else {
				document.location = "Checkout.do";
			}
		},
		
		submitProcessShippingError : function(error) {
			$.SSCOnePageCheckout.showAsNotLoading('.shippingForm-wrapper');
			$(".onePageCheckout-shipping-errors").html("Error contacting server.");
			$.SSCOnePageCheckout.scrollToElement($(".onePageCheckout-shipping-errors"));
		},
		
		submitPaymentForm : function(event) {
			event.preventDefault();
			$("#onePageCheckout").accordion("option", "active", $.SSCOnePageCheckout.findTabIndex($(".onePageCheckout-payment")));
			$(".onePageCheckout-payment-errors").html("");
			$.SSCOnePageCheckout.showAsLoading('.paymentForm-wrapper');
			$.ajax( {
				type : "POST",
				url : "CheckoutPaymentFormAjax.do",
				dataType : "html",
				success : $.SSCOnePageCheckout.submitPaymentFormSuccess,
				error : $.SSCOnePageCheckout.submitPaymentFormError
			});
		},
		
		submitPaymentFormSuccess : function(html) {
			$.SSCOnePageCheckout.showAsNotLoading('.paymentForm-wrapper');
			if (html.indexOf("id=\"ajaxErrors\"") != -1) {
				$(".onePageCheckout-payment-errors").html(html);
				$.SSCOnePageCheckout.scrollToElement($(".onePageCheckout-payment-errors"));
			} else if (html.indexOf("paymentForms.jsp") != -1){
				$(".onePageCheckout-payment-content").html(html);
				$('.paymentForm').off("submit");
				$('.paymentForm').on("submit", function(event) {
					$.SSCOnePageCheckout.submitProcessPayment(event);
				});
			} else {
				document.location = "Checkout.do";
			}
		},

		submitPaymentFormError : function(error) {
			$.SSCOnePageCheckout.showAsNotLoading('.onePageCheckout-payment-content');
			$(".onePageCheckout-payment-errors").html("Error contacting server.");
			$.SSCOnePageCheckout.scrollToElement($(".onePageCheckout-payment-errors"));
		},
		
		submitProcessPayment : function(event) {
			event.preventDefault();
			$(".onePageCheckout-addresses-errors").html("");
			$(".onePageCheckout-shipping-errors").html("");
			$(".onePageCheckout-payment-errors").html("");
			$.SSCOnePageCheckout.showAsLoading('.paymentForm-wrapper');
			$.ajax( {
				type : "POST",
				url : "CheckoutPaymentAjax.do",
				data : $('.paymentForm').serialize(),
				dataType : "html",
				success : $.SSCOnePageCheckout.submitProcessPaymentSuccess,
				error : $.SSCOnePageCheckout.submitProcessPaymentError
			});
		},
		
		submitProcessPaymentSuccess : function(html) {
			$.SSCOnePageCheckout.showAsNotLoading('.paymentForm-wrapper');
			if (html.indexOf("id=\"ajaxErrors\"") != -1) {
				$(".onePageCheckout-payment-errors").html(html);
				$.SSCOnePageCheckout.scrollToElement($(".onePageCheckout-payment-errors"));
			} else if (html.indexOf("checkoutConfirmLayout.jsp") != -1) {
				$(".onePageCheckout-confirm-content").html(html);
				$(".onePageCheckout-payment-content").html("");
				$(".onePageCheckout-shipping-content").html("");
				$("#onePageCheckout").accordion("option", "active", $.SSCOnePageCheckout.findTabIndex($(".onePageCheckout-confirm")));	
				$('#confirmForm').off("submit");
				$('#confirmForm').on("submit", function(event) {
					$.SSCOnePageCheckout.submitProcessConfirm(event);
				});
			} else if (html.indexOf("thankYouAndEmails.jsp") != -1) {
				$.SSCOnePageCheckout.resetAll();
				$("#onePageCheckoutMain").html(html);
			} else {
				document.location = "Checkout.do";
			}
		},

		submitProcessPaymentError : function(error) {
			$.SSCOnePageCheckout.showAsNotLoading('.paymentForm-wrapper');
			$(".onePageCheckout-payment-errors").html("Error contacting server.");
			$.SSCOnePageCheckout.scrollToElement($(".onePageCheckout-payment-errors"));
		},
		
		submitProcessConfirm : function(event) {
			event.preventDefault();
			$(".onePageCheckout-addresses-errors").html("");
			$(".onePageCheckout-shipping-errors").html("");
			$(".onePageCheckout-payment-errors").html("");
			$(".onePageCheckout-confirm-errors").html("");
			$.SSCOnePageCheckout.showAsLoading('.paymentForm-wrapper');
			$.ajax( {
				type : "POST",
				url : "CheckoutConfirmAjax.do",
				data : $('#confirmForm').serialize(),
				dataType : "html",
				success : $.SSCOnePageCheckout.submitProcessConfirmSuccess,
				error : $.SSCOnePageCheckout.submitProcessConfirmError
			});
		},
		
		submitProcessConfirmSuccess : function(html) {
			$.SSCOnePageCheckout.showAsNotLoading('.confirmForm-wrapper');
			if (html.indexOf("id=\"ajaxErrors\"") != -1) {
				$(".onePageCheckout-confirm-errors").html(html);
				$.SSCOnePageCheckout.scrollToElement($(".onePageCheckout-confirm-errors"));
			} else if (html.indexOf("thankYouAndEmails.jsp") != -1) {
				$.SSCOnePageCheckout.resetAll();
				$("#onePageCheckoutMain").html(html);
			} else {
				document.location = "Checkout.do";
			}
		},

		submitProcessConfirmError : function(error) {
			$.SSCOnePageCheckout.showAsNotLoading('.confirmForm-wrapper');
			$(".onePageCheckout-confirm-errors").html("Error contacting server.");
			$.SSCOnePageCheckout.scrollToElement($(".onePageCheckout-confirm-errors"));
		},
		
		findTabIndex : function(element) {
			var index = element.attr('id').split("-").pop();
			return parseInt(index);
		},
		
		clearForm : function(form) {
			$(form).find(':input').each(function() {
				switch (this.type) {
				case 'password':
				case 'select-multiple':
				case 'select-one':
				case 'text':
				case 'textarea':
					$(this).val('');
					break;
				case 'checkbox':
				case 'radio':
					this.checked = false;
				}
			});
		},
		
		showAsLoading: function(element) {
			if (!$(element).hasClass('loadingBar')) {
				$(element).addClass('loadingBar');
			}
		},
		
		showAsNotLoading: function(element) {
			$(element).removeClass('loadingBar');
		},
		
		scrollToElement: function(element) {
			$('html, body').animate({
				scrollTop: element.offset().top
			}, 500);
		}
	};
})(jQuery);
